Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk
Class FdkConstants

    java.lang.Object
      oracle.ifs.fdk.FdkConstants

    public class FdkConstants

extends java.lang.Object

A collection of FDK constants: enumerations used in various operations or as values of various attributes.

Field Summary
`static java.lang.String` | `ADD_GRANTS_BACKGROUND_REQUEST_REQUEST_TYPE` The name of the ADDGRANTSBACKGROUNDREQUEST REQUEST_TYPE.
`static int` | `ATTRIBUTE_TYPE_BINARY` BINARY type for Custom Attributes
`static int` | `ATTRIBUTE_TYPE_BOOLEAN` BOOLEAN type for Custom Attributes
`static int` | `ATTRIBUTE_TYPE_DATE` DATE type for Custom Attributes
`static int` | `ATTRIBUTE_TYPE_FLOAT` FLOAT type for Custom Attributes
`static int` | `ATTRIBUTE_TYPE_GROUP` GROUP type for Custom Attributes
`static int` | `ATTRIBUTE_TYPE_INTEGER` INTEGER type for Custom Attributes
`static int` | `ATTRIBUTE_TYPE_LONG` LONG type for Custom Attributes
`static int` | `ATTRIBUTE_TYPE_STRING` STRING type for Custom Attributes
`static int` | `ATTRIBUTE_TYPE_STRING_ARRAY` STRING_ARRAY type for Custom Attributes
`static int` | `ATTRIBUTE_TYPE_USER` USER type for Custom Attributes
`static int` | `AUDIT_HISTORY_CUSTOM` Constant for the `Options.AUDIT_HISTORY_TYPE` option specifying a custom Audit History.
`static int` | `AUDIT_HISTORY_GLOBAL` Constant for the `Options.AUDIT_HISTORY_TYPE` option specifying the global administrative Audit History.
`static int` | `AUDIT_HISTORY_ITEM` Constant for the `Options.AUDIT_HISTORY_TYPE` option specifying the individual Item Audit History.
`static int` | `AUDIT_TYPE_ENTRY_SUCCESS_MODE_FAILURE_ONLY` Indicates that only failure will be audited.
`static int` | `AUDIT_TYPE_ENTRY_SUCCESS_MODE_NONE` Indicates that neither succees nor failure will be audited.
`static int` | `AUDIT_TYPE_ENTRY_SUCCESS_MODE_SUCCESS_ONLY` Indicates that only success will be audited.
`static int` | `AUDIT_TYPE_ENTRY_SUCCESS_MODE_SUCCESS_OR_FAILURE` Indicates that the both success and failure will be audited.
`static long` | `CAPABILITY_ADDITEM` Capability to add an item to a folder.
`static long` | `CAPABILITY_ADDVERSION` Capability to add a new version to an item.
`static long` | `CAPABILITY_ADMINISTER_CATEGORY` Capability to administer ad-hoc categories.
`static long` | `CAPABILITY_ADMINISTER_CONFIGURATION` Capability to administer configuration of items.
`static long` | `CAPABILITY_ADMINISTER_CONTAINER` Capability to administer containers, including creation.
`static long` | `CAPABILITY_ADMINISTER_DOMAIN` Capability to administer domains.
`static long` | `CAPABILITY_ADMINISTER_LOCK` Capability to administer locks.
`static long` | `CAPABILITY_ADMINISTER_QUOTA` Capability to administer quota.
`static long` | `CAPABILITY_ADMINISTER_RECORD` Capability to administer records.
`static long` | `CAPABILITY_ADMINISTER_ROLE` Capability to administer roles.
`static long` | `CAPABILITY_ADMINISTER_SECURITY` Capability to administer security of items.
`static long` | `CAPABILITY_ADMINISTER_USER` Capability to administer users.
`static long` | `CAPABILITY_ADMINISTER_WORKSPACE` Capability to administer workspaces, including creation.
`static long` | `CAPABILITY_COPY` Capability to copy items.
`static long` | `CAPABILITY_CREATECONTAINER` Capability to create containers.
`static long` | `CAPABILITY_CREATEFOLDER` Capability to create folders.
`static long` | `CAPABILITY_CREATEWORKSPACE` Capability to create workspaces.
`static long` | `CAPABILITY_DELETE` Capability to delete an item.
`static long` | `CAPABILITY_DISCOVER` Capability to discover an item.
`static long` | `CAPABILITY_GET_CONTENT` Capability to get the content of an item.
`static long` | `CAPABILITY_GETAUDITHISTORY` Capability to get audit history for an object.
`static long` | `CAPABILITY_GETMETADATA` Capability to get the metadata of an item.
`static long` | `CAPABILITY_GETRELATION` Capability to get relations for an object.
`static long` | `CAPABILITY_LOCK` Capability to lock an item.
`static long` | `CAPABILITY_MOVE` Capability to move items.
`static long` | `CAPABILITY_SET_ATTR` Capability to set attributes of an item.
`static long` | `CAPABILITY_SET_CONTENT` Capability to set the content of an item.
`static long` | `CAPABILITY_SETMETADATA` Capability to set the metadata of an item.
`static long` | `CAPABILITY_SETRELATION` Capability to set relations for an object.
`static java.lang.String` | `CHECKIN_REQUEST_TYPE` The name of the CheckinRequest ClassObject.
`static java.lang.String` | `CHECKIN_WORKFLOW_OPERATION` The name of the CheckinWorkflowConfiguration ClassObject.
`static java.lang.String` | `CHECKOUT_REQUEST_TYPE` The name of the CheckoutRequest ClassObject.
`static java.lang.String` | `CHECKOUT_WORKFLOW_OPERATION` The name of the CheckoutWorkflowConfiguration ClassObject.
`static java.lang.String` | `COPY_REQUEST_TYPE` The name of the CopyRequest ClassObject.
`static java.lang.String` | `COPY_WORKFLOW_OPERATION` The name of the CopyWorkflowConfiguration ClassObject.
`static java.lang.String` | `CREATE_DOCUMENT_REQUEST_TYPE` The name of the CreateDocumentRequest ClassObject..
`static java.lang.String` | `CREATE_DOCUMENT_WORKFLOW_OPERATION` The name of the CreateDocumentWorkflowConfiguration ClassObject.
`static java.lang.String` | `CREATE_WORKSPACE_REQUEST_TYPE` The name of the CreateWorkspaceRequest ClassObject.
`static java.lang.String` | `CREATE_WORKSPACE_WORKFLOW_OPERATION` The name of the CreateWorkspaceWorkflowConfiguration ClassObject.
`static int` | `CUTOFF_FREQUENCY_DAILY` The cut off frequency which represents a daily cut off for a a record category.
`static int` | `CUTOFF_FREQUENCY_MONTHLY` The cut off frequency which represents a monthly cut off for a a record category.
`static int` | `CUTOFF_FREQUENCY_NONE` The cut off frequency of NONE for a record category.
`static int` | `CUTOFF_FREQUENCY_WEEKLY` The cut off frequency which represents a weekly cut off for a a record category.
`static int` | `CUTOFF_FREQUENCY_YEARLY` The cut off frequency which represents a yearly cut off for a a record category.
`static int` | `DATE_COMP_DAY` Date comparison level for comparing dates on the year, month and day.
`static int` | `DATE_COMP_HOUR` Date comparison level for comparing dates on the year, month, day and hour.
`static int` | `DATE_COMP_MIN` Date comparison level for comparing dates on the year, month, day, hour and minute.
`static int` | `DATE_COMP_MONTH` Date comparison level for comparing dates on the year and month.
`static int` | `DATE_COMP_SEC` Date comparison level for comparing dates on the year, month, day, hour, minute and second.
`static int` | `DATE_COMP_YEAR` Date comparison level for comparing dates on the year.
`static java.lang.String` | `DAV_MOUNT_POINT` Session state used to override the default DAV servlet mount point.
`static java.lang.String` | `DELETE_CONTAINER_BACKGROUND_REQUEST_REQUEST_TYPE` The name of the DELETECONTAINERBACKGROUNDREQUEST REQUEST_TYPE.
`static java.lang.String` | `DELETE_REQUEST_TYPE` The name of the DeleteRequest ClassObject.
`static java.lang.String` | `DELETE_WORKFLOW_OPERATION` The name of the DeleteWorkflowConfiguration ClassObject.
`static int` | `DISPOSITION_ACTION_ACCESSION` String value for the disposition action for ACCESSION This is used when the action attribute of a record category is retrieved
`static int` | `DISPOSITION_ACTION_DELETE` String value for the disposition action for DELETE This is used when the action attribute of a record category is retrieved
`static int` | `DISPOSITION_ACTION_LAUNCH_WORKFLOW` String value for the disposition action for WORKFLOW This is used when the action attribute of a record category is retrieved
`static int` | `DISPOSITION_ACTION_MOVE` String value for the disposition action for MOVE This is used when the action attribute of a record category is retrieved
`static int` | `DISPOSITION_ACTION_RETAIN` String value for the disposition action for RETAIN This is used when the action attribute of a record category is retrieved
`static int` | `DISPOSITION_ACTION_TRANSFER` String value for the disposition action for TRANSFER This is used when the action attribute of a record category is retrieved
`static java.lang.String` | `DISPOSITION_PHASE_REQUEST_TYPE` The name of the DispositionPhaseRequest ClassObject.
`static java.lang.String` | `EVENT_COLUMN_APPLICATION_CONTEXT` Sortable Event APPLICATION_CONTEXT attribute (maps to a database column).
`static java.lang.String` | `EVENT_COLUMN_APPLICATION_USER` Sortable Event APPLICATION_USER attribute (maps to a database column).
`static java.lang.String` | `EVENT_COLUMN_AUXILIARY_NUMBER` Sortable Event AUXILIARY_NUMBER attribute (maps to a database column).
`static java.lang.String` | `EVENT_COLUMN_AUXILIARY_STRING` Sortable Event AUXILIARY_STRING attribute (maps to a database column).
`static java.lang.String` | `EVENT_COLUMN_CREATE_DATE` Sortable Event CREATE_DATE attribute (maps to a database column).
`static java.lang.String` | `EVENT_COLUMN_CREATOR_ID` Sortable Event CREATOR_ID attribute (maps to a database column).
`static java.lang.String` | `EVENT_COLUMN_DOMAIN_ID` Sortable Event DOMAIN_ID attribute (maps to a database column).
`static java.lang.String` | `EVENT_COLUMN_ID` Sortable Event ID attribute (maps to a database column).
`static java.lang.String` | `EVENT_COLUMN_OPERATION_SUCCESSFUL` Sortable Event OPERATION_SUCCESSFUL attribute (maps to a database column).
`static java.lang.String` | `EVENT_COLUMN_OPERATION_TYPE` Sortable Event OPERATION_TYPE attribute (maps to a database column).
`static java.lang.String` | `EVENT_COLUMN_TARGET_ID` Sortable Event TARGET_ID attribute (maps to a database column).
`static java.lang.String` | `EXCEPTION_INFO_CONFLICT_RESOLUTION_OPTIONS` Describes exception info comprised of a String[] of resolutions options that are available to resolve the name conflict that an operation caused.
`static java.lang.String` | `EXCEPTION_INFO_CONFLICTING_OBJECT_ID` Describes exception info comprised of an object ID that represents the conflicting object for a name-conflict exception code.
`static java.lang.String` | `EXCEPTION_INFO_MISSING_REQUIRED_METADATA_ATTRIBUTE_IDS` Describes exception info comprised of a long[][] array of object IDs that represents the missing required category classes and attributes for enforced categorization/recordization.
`static java.lang.String` | `EXCEPTION_INFO_MISSING_REQUIRED_METADATA_IDS` Describes exception info comprised of an array of object IDs that represents the missing required category classes for enforced categorization/recordization
`static java.lang.String` | `EXCEPTION_INFO_NON_ALLOWED_METADATA_IDS` Describes exception info comprised of an array of object IDs that represents the non-allowed category classes for enforced categorization/recordization
`static java.lang.String` | `EXCEPTION_INFO_OBJECT_ID` Describes exception info comprised of an object ID that represents the object for which the exception is about.
`static java.lang.String` | `EXCEPTION_INFO_PARAMETER_NAME` Describes exception info comprised of the name of the parameter involved in the exception.
`static int` | `GROUP_MEMBERSHIP_VISIBILITY_ALL` Integer constant representing "viewable by everyone".
`static int` | `GROUP_MEMBERSHIP_VISIBILITY_MANAGERS` Integer constant representing "viewable by managers".
`static int` | `GROUP_MEMBERSHIP_VISIBILITY_MEMBERS` Integer constant representing "viewable by members".
`static java.lang.String` | `INCREASE_QUOTA_REQUEST_TYPE` The name of the IncreaseQuotaRequest ClassObject.
`static java.lang.String` | `INCREASE_QUOTA_WORKFLOW_OPERATION` The name of the IncreaseQuotaWorkflowConfiguration ClassObject.
`static java.lang.String` | `JOIN_WORKSPACE_REQUEST_TYPE` The name of the JoinWorkspaceRequest ClassObject, which corresponds to the "join workspace" REQUEST_TYPE.
`static java.lang.String` | `JOIN_WORKSPACE_WORKFLOW_OPERATION` The name of the JoinWorkspaceWorkflowConfiguration ClassObject.
`static int` | `LOCKTYPE_CHECKOUT` Represents the "checkout" LockEntry type.
`static int` | `LOCKTYPE_CUSTOM` Represents the CUSTOM LockEntry type.
`static int` | `LOCKTYPE_DAV` Represents the DAV LockEntry type.
`static int` | `LOCKTYPE_FAMILYHASRECORD` Deprecated. Use LOCKTYPE_HASRECORD
`static int` | `LOCKTYPE_FINALIZED` Represents the "finalized" (version immutability) LockEntry type.
`static int` | `LOCKTYPE_FREEZE` Represents the FREEZE LockEntry type.
`static int` | `LOCKTYPE_HASRECORD` Represents the "HasRecord" LockEntry type.
`static int` | `LOCKTYPE_LIFECYCLE` Represents the LIFECYCLE LockEntry type.
`static int` | `LOCKTYPE_MANUAL` Represents the "manual" LockEntry type.
`static int` | `LOCKTYPE_NAMEDFREEZE` Represents the NAMED FREEZE (also known as Legal Hold) LockEntry type.
`static int` | `LOCKTYPE_RECORD` Represents the "record" LockEntry type.
`static int` | `LOCKTYPE_RETENTION` Represents the RETENTION LockEntry type.
`static int` | `LOCKTYPE_WORKFLOW` Represents the "workflow" LockEntry type.
`static java.lang.String` | `MEDIA_OPTION_FILENAME` In creating a document with BFILE storage, or updating the content or `media` of an existing document to have BFILE storage, the name of the `media option` whose value is the filename in which content will be stored on the database-tier file system.
`static java.lang.String` | `MEDIA_OPTION_RELATIVE_PATH` In creating a document with BFILE storage, or updating the content or `media` of an existing document to have BFILE storage, the name of the `media option` whose value is the relative path from the base path of the BFILE media to the directory on the database-tier file system in which the content will be stored.
`static java.lang.String` | `MEDIA_TYPE_BFILE` Value returned by the MEDIA_TYPE attributes representing a BFILE storage media.
`static java.lang.String` | `MEDIA_TYPE_BLOB` Value returned by the MEDIA_TYPE attributes representing a BLOB storage media.
`static java.lang.String` | `MEDIA_TYPE_CENTERA` Value returned by the MEDIA_TYPE attributes representing a CENTERA storage media.
`static java.lang.String` | `MEDIA_TYPE_SNAPLOCK` Value returned by the MEDIA_TYPE attributes representing a SNAPLOCK storage media.
`static java.lang.String` | `MOVE_REQUEST_TYPE` The name of the MoveRequest ClassObject.
`static java.lang.String` | `MOVE_WORKFLOW_OPERATION` The name of the MoveWorkflowConfiguration ClassObject.
`static java.lang.String` | `OPERATOR_AND` AND operator for search expressions
`static java.lang.String` | `OPERATOR_CONTAINS` CONTAINS operator for search expressions
`static java.lang.String` | `OPERATOR_EQUAL` EQUAL operator for search expressions
`static java.lang.String` | `OPERATOR_GREATER_THAN` GREATER THAN operator for search expressions
`static java.lang.String` | `OPERATOR_GREATER_THAN_EQUAL` GREATER THAN OR EQUAL operator for search expressions
`static java.lang.String` | `OPERATOR_HAS_CATEGORY` HAS CATEGORY operator for search expressions
`static java.lang.String` | `OPERATOR_IN` IN operator for search expressions
`static java.lang.String` | `OPERATOR_IS_NOT_NULL` IS NOT NULL operator for search expressions
`static java.lang.String` | `OPERATOR_IS_NULL` IS NULL operator for search expressions
`static java.lang.String` | `OPERATOR_LESS_THAN` LESS THAN operator for search expressions
`static java.lang.String` | `OPERATOR_LESS_THAN_EQUAL` LESS THAN OR EQUAL operator for search expressions
`static java.lang.String` | `OPERATOR_NOT` NOT operator for search expressions
`static java.lang.String` | `OPERATOR_NOT_EQUAL` NOT EQUAL operator for search expressions
`static java.lang.String` | `OPERATOR_OR` OR operator for search expressions
`static java.lang.String` | `ORACLE_WORKFLOW_NAME_PARALLEL` The name of the OOB "Parallel Vote" OracleWorkflow.
`static java.lang.String` | `ORACLE_WORKFLOW_NAME_SERIAL` The name of the OOB "Serial Approval" OracleWorkflow.
`static java.lang.String` | `PUBLIC_SESSIONSTATE_APPLICATION_USERIDENTIFER` Key to get and set session state used to track the application's notion of the user identifier (settable by the application).
`static java.lang.String` | `PUBLIC_SESSIONSTATE_PREFIX` The prefix for public session properties that can be set by Web Services clients by calling `SessionManager.setSessionProperties()`.
`static java.lang.String` | `READ_DOCUMENT_REQUEST_TYPE` The name of the ReadDocumentRequest ClassObject.
`static java.lang.String` | `READ_DOCUMENT_WORKFLOW_OPERATION` The name of the ReadDocumentWorkflowConfiguration ClassObject.
`static java.lang.String` | `RECORD_LIFECYCLE_ERROR_REQUEST_TYPE` The name of the RecordLifecycleErrorRequest ClassObject.
`static int` | `RECORD_PHASE_STATUS_IN_ERROR` Current phase is in error, and waiting for indication that the error was corrected.
`static int` | `RECORD_PHASE_STATUS_PENDING_DATE` Current phase is waiting fro a date to arrive.
`static int` | `RECORD_PHASE_STATUS_PENDING_RECORD_UNFREEZE` Current phase is waiting for the associated record to unfreeze.
`static int` | `RECORD_PHASE_STATUS_PENDING_RECORDCATEGORY_UNFREEZE` Current phase is waiting for the associated record category to unfreeze.
`static int` | `RECORD_PHASE_STATUS_PENDING_RECORDFOLDER_UNFREEZE` Current phase is waiting for the associated record folder to unfreeze.
`static int` | `RECORD_PHASE_STATUS_PENDING_WORKFLOW` Current phase is waiting for workflow acknowledgement.
`static int` | `RECORD_PHASE_STATUS_READY_FOR_NEXT_PHASE` Current phase processing has completed, processing will continue on the next life cycle agent run.
`static int` | `RECORD_PHASE_STATUS_READY_FOR_PROCESSING` Current phase is ready for processing, processing will resume on the next life cycle agent run.
`static int` | `RECORD_STATUS_DISPOSITION_PROCESSING_COMPLETE` Value of record status when disposition processing complete and not destroyed.
`static int` | `RECORD_STATUS_IN_DISPOSITION_PROCESSING` Value of record status when going through its dissposition processing.
`static int` | `RECORD_STATUS_PENDING_CUTOFF` Value of record status when awaiting cutoff.
`static int` | `RECORD_STATUS_UNDEFINED` Value of record status when not defined, this is an error condition.
`static int` | `REQUEST_STATUS_ABORTED` Constant value for the Request status of ABORTED.
`static int` | `REQUEST_STATUS_CANCELED` Constant value for the Request status of CANCELED.
`static int` | `REQUEST_STATUS_EXPIRED` Constant value for the Request status of EXPIRED.
`static int` | `REQUEST_STATUS_FAILED` Constant value for the Request status of FAILED.
`static int` | `REQUEST_STATUS_PENDING` Constant value for the Request status of PENDING.
`static int` | `REQUEST_STATUS_SUCCEEDED` Constant value for the Request status of SUCCEEDED.
`static java.lang.String` | `ROLEKEY_ADMIN` The Role identifier used to identify the generic Administrator role.
`static java.lang.String` | `ROLEKEY_ADMINASSISTANT` The Role identifier used to identify the generic Administrative Assistant role.
`static java.lang.String` | `ROLEKEY_APPROVER` The Role identifier used to identify the generic Approver role.
`static java.lang.String` | `ROLEKEY_AUTHOR` The Role identifier used to identify the generic Author role.
`static java.lang.String` | `ROLEKEY_CATEGORYADMIN` The Role identifier used to identify the Category Administrator role.
`static java.lang.String` | `ROLEKEY_COMMENTATOR` The Role identifier used to identify the generic Commentator role.
`static java.lang.String` | `ROLEKEY_CONFIGURATIONADMIN` The Role identifier used to identify the Configuration Administrator role.
`static java.lang.String` | `ROLEKEY_CONTAINERADMIN` The Role identifier used to identify the Container Administrator role.
`static java.lang.String` | `ROLEKEY_CONTAINERVIEWER` The Role identifier used to identify the ContainerViewer role.
`static java.lang.String` | `ROLEKEY_CONTENTADMIN` The Role identifier used to identify the Content Administrator role.
`static java.lang.String` | `ROLEKEY_CONTENTEDITOR` The Role identifier used to identify the generic Content Editor role.
`static java.lang.String` | `ROLEKEY_CUSTODIAN` The Role identifier used to identify the generic Custodian role.
`static java.lang.String` | `ROLEKEY_DISCOVERER` The Role identifier used to identify the generic Discoverer role.
`static java.lang.String` | `ROLEKEY_DOMAINADMIN` The Role identifier used to identify the Domain Administrator role.
`static java.lang.String` | `ROLEKEY_LIMITEDAUTHOR` The Role identifier used to identify the generic Limited Author role.
`static java.lang.String` | `ROLEKEY_MANAGER` The Role identifier used to identify the generic Manager role.
`static java.lang.String` | `ROLEKEY_NONE` The Role identifier used to identify the None role.
`static java.lang.String` | `ROLEKEY_ORGANIZER` The Role identifier used to identify the generic Organizer role.
`static java.lang.String` | `ROLEKEY_QUOTAADMIN` The Role identifier used to identify the Quota Administrator role.
`static java.lang.String` | `ROLEKEY_READER` The Role identifier used to identify the generic Reader role.
`static java.lang.String` | `ROLEKEY_RECORDSADMIN` The Role identifier used to identify the Records Administrator role.
`static java.lang.String` | `ROLEKEY_REVIEWER` The Role identifier used to identify the generic Reviewer role.
`static java.lang.String` | `ROLEKEY_ROLEADMIN` The Role identifier used to identify the Role Administrator role.
`static java.lang.String` | `ROLEKEY_SECURITYADMIN` The Role identifier used to identify the Security Administrator role.
`static java.lang.String` | `ROLEKEY_USERADMIN` The Role identifier used to identify the User Administrator role.
`static java.lang.String` | `ROLEKEY_WORKSPACEADMIN` The Role identifier used to identify the Workspace Administrator role.
`static java.lang.String` | `ROLEKEY_WORKSPACECREATOR` The Role identifier used to identify the Workspace Creator role.
`static java.lang.String` | `SEARCH_PROPERTY_TYPE_BOOLEAN` Search property data type boolean.
`static java.lang.String` | `SEARCH_PROPERTY_TYPE_CONTENT` Search property data type content.
`static java.lang.String` | `SEARCH_PROPERTY_TYPE_DATE` Search property data type date.
`static java.lang.String` | `SEARCH_PROPERTY_TYPE_NUMBER` Search property data type number.
`static java.lang.String` | `SEARCH_PROPERTY_TYPE_STRING` Search property data type string.
`static java.lang.String` | `SEPARATOR` Separator for chaining attributes.
`static int` | `SESSION_MODE_ADMIN_IGNORE_ALL` Integer constant representing the session mode which allows powerful unrestricted access.
`static int` | `SESSION_MODE_DISCOVER_ALL` Integer constant representing the session mode which allows discovery of all objects regardless of their assigned permissions.
`static int` | `SESSION_MODE_DOMAIN_ADMINISTRATION` Integer constant representing the session mode for domain administation.
`static int` | `SESSION_MODE_NORMAL` Integer constant representing the session mode for regular users (not in any administation or privileged modes).
`static java.lang.String` | `SET_CONFIGURATION_BACKGROUND_REQUEST_REQUEST_TYPE` The name of the SETCONFIGURATIONBACKGROUNDREQUEST REQUEST_TYPE.
`static int` | `STORAGE_DEVICE_DATABASE` Storage device value which represents using the database storage for a RETENTION phase.
`static int` | `STORAGE_DEVICE_NEARLINE` Storage device value which represents using Bfiles as a storage mechanism for a RETENTION phase.
`static int` | `STORAGE_DEVICE_RETENTION` Storage device value which represents using a HSM device as a storage mechanism for a RETENTION phase.
`static java.lang.String` | `TEXT_SCORE` Text search score attribute for search sort specification
`static java.lang.String` | `TRUSTED_APPLICATION_NAME` Login option that identifies trusted applications and which only trusted applications can set when calling login() methods.
`static java.lang.String` | `USER_REQUEST_REQUEST_TYPE` The name of the UserRequest ClassObject.
`static java.lang.String` | `USER_REQUEST_WORKFLOW_OPERATION` The name of the UserRequestWorkflowConfiguration ClassObject.
`static java.lang.String` | `USERNAME_TOKEN_ENCRYPT_CERT` Login option that identifies the path to theserver encryption certificate to be used in encrypting the Username Token for a Username Token login.
`static java.lang.String` | `USERPREFERENCE_GENERAL_ITEMSPERPAGE` Key for the user preference which defines the maximum number of items to show per page.
`static java.lang.String` | `USERPREFERENCE_MOSTRECENTDOCS_EXCEPTEDEXTENSIONS` Key for the user preference which defines the list of file extensions to keep for each user that do not cause an update to the "most recent documents" queue when documents are accessed with one of the formats listed.
`static java.lang.String` | `USERPREFERENCE_MOSTRECENTDOCS_MAXITEMS` Key for the user preference which defines the maximum number of "most recent documents" to keep for each user.
`static java.lang.String` | `USERPREFERENCE_SORTING_PREFIX` Key for the prefix to all user preferences that indicate a non-default sorting of items in a table.
`static java.lang.String` | `USERPREFERENCE_SORTING_TABLENAME_CHECKEDOUTFILES` Suffix for the "checked out Files" table.
`static java.lang.String` | `USERPREFERENCE_SORTING_TABLENAME_FILELISTING` Suffix for the "file listing" table.
`static java.lang.String` | `USERPREFERENCE_SORTING_TABLENAME_GROUPMEMBERLIST` Table name for groups view in the Web App.
`static java.lang.String` | `USERPREFERENCE_SORTING_TABLENAME_GROUPMEMBERS` Table name for Group Properties / Group Create dialog-boxes in the Web App.
`static java.lang.String` | `USERPREFERENCE_SORTING_TABLENAME_JOINABLEWORKSPACES` Suffix for the "joinable Workspaces Table" table.
`static java.lang.String` | `USERPREFERENCE_SORTING_TABLENAME_LOCKEDFILES` Suffix for the "locked Files" table.
`static java.lang.String` | `USERPREFERENCE_SORTING_TABLENAME_MEMBERLISTING` Suffix for the "member Listing" table.
`static java.lang.String` | `USERPREFERENCE_SORTING_TABLENAME_RECENTFILES` Suffix for the "recent Files" table.
`static java.lang.String` | `USERPREFERENCE_SORTING_TABLENAME_ROLES` Suffix for the "roles table" table.
`static java.lang.String` | `USERPREFERENCE_SORTING_TABLENAME_SEARCHRESULTS` Suffix for the "search results" table.
`static java.lang.String` | `USERPREFERENCE_SORTING_TABLENAME_SECURITYCONFIG` Suffix for the "security config" table.
`static java.lang.String` | `USERPREFERENCE_SORTING_TABLENAME_SELECTEDUSERSORGROUPS` Suffix for the "selectedUsersOrGroupsTable" table.
`static java.lang.String` | `USERPREFERENCE_SORTING_TABLENAME_USERSEARCHRESULTS` Suffix for the "user search results" table.
`static java.lang.String` | `USERPREFERENCE_SORTING_TABLENAME_USERSORGROUPSRESULTS` Suffix for the "users or groups results" table.
`static java.lang.String` | `USERPREFERENCE_SORTING_TABLENAME_VERSIONHISTORY` Suffix for the "version history" table.
`static java.lang.String` | `USERPREFERENCE_SORTING_TABLENAME_VIRUSNAMES` Suffix for the "virus report" table.
`static java.lang.String` | `USERPREFERENCE_SORTING_TABLENAME_WORKFLOWREPORT` Suffix for the "workflow report" table.
`static java.lang.String` | `USERPREFERENCE_UIPROPERTIES_EDITINPLACEENABLED` Key for the 'user preference' that tracks whether the user has edit in place enabled
`static java.lang.String` | `USERPREFERENCE_UIPROPERTIES_FOLDERTREESTATE` Key for the 'user preference' that tracks the expanded nodes of the folder tree in the folder view.
`static java.lang.String` | `USERPREFERENCE_UIPROPERTIES_LASTFOLDER` Key for the 'user preference' that tracks the last folder the user accessed.
`static java.lang.String` | `USERPREFERENCE_UIPROPERTIES_LASTVIEW` Key for the 'user preference' that tracks the last view the user was in.
`static java.lang.String` | `USERPREFERENCE_UIPROPERTIES_PROMPTFORVERSIONINFO` Tracks whether user has dismissed the dialog for Version Description.
`static java.lang.String` | `USERPREFERENCE_UIPROPERTIES_USESSCREENREADER` Key for the 'user preference' that tracks whether the user uses a screen reader.
`static java.lang.String` | `USERPREFERENCE_UIPROPERTIES_VIEWEDFIRSTLOGIN` Key for the 'user preference' that tracks whether the user has viewed the first login page.
`static java.lang.String` | `USERPREFERENCE_USERPROPERTIES_CANCREATEGROUP` Key for the user preference (property) which indicates whether the user is able to create new groups.
`static java.lang.String` | `USERPREFERENCE_USERPROPERTIES_CHARACTERSET` Key for the user preference (property) which indicates the desired document character set for the user.
`static java.lang.String` | `USERPREFERENCE_USERPROPERTIES_DISCOVERABLEWORKSPACESFOLDER` Key for the user preference which indicates the folder under the user's personal workspace that will contain links to the Workspaces the user can discover.
`static java.lang.String` | `USERPREFERENCE_USERPROPERTIES_DISPLAYNAME` Key for the user preference (property) which indicates the desired display name for the user.
`static java.lang.String` | `USERPREFERENCE_USERPROPERTIES_DOMAIN` Key for the user preference (property) which declares the user's Domain.
`static java.lang.String` | `USERPREFERENCE_USERPROPERTIES_DOMAINADMINUSER` Key for the user preference (property) which indicates whether the user can switch into domain admin mode.
`static java.lang.String` | `USERPREFERENCE_USERPROPERTIES_DOMAINUSER` Key for the user preference (property) which indicates the "regular" user associated with this user.
`static java.lang.String` | `USERPREFERENCE_USERPROPERTIES_EMAILADDRESS` Key for the user preference (property) which indicates the user's Email address.
`static java.lang.String` | `USERPREFERENCE_USERPROPERTIES_FIRSTNAME` Key for the user preference (property) which indicates the user's first name.
`static java.lang.String` | `USERPREFERENCE_USERPROPERTIES_FTPPASSWORD` Key for the user preference (property) which indicates the user's FTP password.
`static java.lang.String` | `USERPREFERENCE_USERPROPERTIES_ISRECORDSADMIN` Key for the user preference (property) which indicates whether the user is also a records admin.
`static java.lang.String` | `USERPREFERENCE_USERPROPERTIES_LANGUAGE` Key for the user preference (property) which indicates the desired document language for the user.
`static java.lang.String` | `USERPREFERENCE_USERPROPERTIES_LASTNAME` Key for the user preference (property) which indicates the user's last name.
`static java.lang.String` | `USERPREFERENCE_USERPROPERTIES_LOCALE` Key for the user preference (property) which indicates the user's Locale.
`static java.lang.String` | `USERPREFERENCE_USERPROPERTIES_PERSONALSHAREDFOLDER` Key for the user preference which indicates the folder under the user's personal workspace that is designated by the user as his "shared" folder.
`static java.lang.String` | `USERPREFERENCE_USERPROPERTIES_PERSONALWORKSPACE` Key for the user preference (property) which indicates the user's personal workspace.
`static java.lang.String` | `USERPREFERENCE_USERPROPERTIES_REALM` Key for the user preference (property) which declares the user's realm name, generally derived from the user's Domain.
`static java.lang.String` | `USERPREFERENCE_USERPROPERTIES_STARTATLASTFOLDER` Key for the user preference which indicates whether the user prefers to navigate to an initial folder when the application starts, where the folder is the last folder navigated to in the user's previous session.
`static java.lang.String` | `USERPREFERENCE_USERPROPERTIES_STARTINGFOLDER` Key for the user preference which indicates the folder that user prefers to navigate to as the initial folder when an application starts.
`static java.lang.String` | `USERPREFERENCE_USERPROPERTIES_TIMEZONE` Key for the user preference (property) which indicates the user's TimeZone.
`static java.lang.String` | `USERPREFERENCE_USERPROPERTIES_USERNAME` Key for the user preference (property) which indicates the standard name for the user.
`static java.lang.String` | `USERPREFERENCE_WEBDAV_OSCHARENCODING` Key for the user preference which allows the user to specify a character encoding other than UTF-8 in order to support old, non-compliant versions of Microsoft clients.
`static java.lang.String` | `USERPREFERENCE_WEBDAV_SENDRAWBYTES` Key for the user preference which allows the user to choose whether long content-disposition filenames should be sent in raw bytes instead of utf-8.
`static int` | `VERSION_LABELING_DECIMAL` Indicates a Decimal Version Labeler
`static int` | `VERSION_LABELING_LOWERCASE` Indicates a Lowercase Version Labeler
`static int` | `VERSION_LABELING_NONE` Indicates a null version labeler
`static int` | `VERSION_LABELING_ROMAN` Indicates a Roman Version Labeler
`static int` | `VERSION_LABELING_TRIVIAL` Indicates a Trivial Version Labeler
`static int` | `VERSION_LABELING_UPPERCASE` Indicates a Upper case Version Labeler
`static java.lang.String` | `WORKFLOW_JUSTIFICATION_PARAMETER_NAME` The name of the OOB WorkflowConfiguration "justification" parameter.
`static java.lang.String` | `WORKFLOW_PARAMETER_TYPE_BOOLEAN` Workflow Pararmeter type 'BOOLEAN'
`static java.lang.String` | `WORKFLOW_PARAMETER_TYPE_BOUNDED_DECIMALNUMBER` Workflow Pararmeter type Decimal Number (Bounded by a range).
`static java.lang.String` | `WORKFLOW_PARAMETER_TYPE_BOUNDED_NUMBER` Workflow Pararmeter type Number (Bounded by a range).
`static java.lang.String` | `WORKFLOW_PARAMETER_TYPE_DATE` Workflow Pararmeter type 'DATE'
`static java.lang.String` | `WORKFLOW_PARAMETER_TYPE_ENUM_STRING` Workflow Pararmeter type String (from a list of enumerated Strings).
`static java.lang.String` | `WORKFLOW_PARAMETER_TYPE_PATH` Workflow Pararmeter type 'PATH'
`static java.lang.String` | `WORKFLOW_PARAMETER_TYPE_STRING` Workflow Pararmeter type 'STRING'
`static java.lang.String` | `WORKFLOW_PARAMETER_TYPE_TIMEPERIOD` Workflow Pararmeter type 'TIMEPERIOD'
`static java.lang.String` | `WORKFLOW_PARAMETER_TYPE_USER` Workflow Pararmeter type 'USER'
`static java.lang.String` | `WORKFLOW_TYPE_BPEL` The name of the BpelWorkflow ClassObject, which corresponds to the "BPEL" WORKFLOW_TYPE.
`static java.lang.String` | `WORKFLOW_TYPE_ORACLE` The name of the OracleWorkflow ClassObject, which corresponds to the "Oracle" WORKFLOW_TYPE.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SEARCH_PROPERTY_TYPE_STRING

    public static final java.lang.String SEARCH_PROPERTY_TYPE_STRING

  Description copied from class: `FdkConstants`
  Search property data type string.

  See Also:
    Constant Field Values
  Constant Field Value: SEARCH_PROPERTY_TYPE_STRING

### SEARCH_PROPERTY_TYPE_NUMBER

    public static final java.lang.String SEARCH_PROPERTY_TYPE_NUMBER

  Description copied from class: `FdkConstants`
  Search property data type number.

  See Also:
    Constant Field Values
  Constant Field Value: SEARCH_PROPERTY_TYPE_NUMBER

### SEARCH_PROPERTY_TYPE_DATE

    public static final java.lang.String SEARCH_PROPERTY_TYPE_DATE

  Description copied from class: `FdkConstants`
  Search property data type date.

  See Also:
    Constant Field Values
  Constant Field Value: SEARCH_PROPERTY_TYPE_DATE

### SEARCH_PROPERTY_TYPE_BOOLEAN

    public static final java.lang.String SEARCH_PROPERTY_TYPE_BOOLEAN

  Description copied from class: `FdkConstants`
  Search property data type boolean.

  See Also:
    Constant Field Values
  Constant Field Value: SEARCH_PROPERTY_TYPE_BOOLEAN

### SEARCH_PROPERTY_TYPE_CONTENT

    public static final java.lang.String SEARCH_PROPERTY_TYPE_CONTENT

  Description copied from class: `FdkConstants`
  Search property data type content.

  See Also:
    Constant Field Values
  Constant Field Value: SEARCH_PROPERTY_TYPE_CONTENT

### SEPARATOR

    public static final java.lang.String SEPARATOR

  Description copied from class: `FdkConstants`
  Separator for chaining attributes.

  See Also:
    Constant Field Values
  Constant Field Value: :

### DAV_MOUNT_POINT

    public static final java.lang.String DAV_MOUNT_POINT

  Description copied from class: `FdkConstants`
  Session state used to override the default DAV servlet mount point. The value of this session state entry must be a String.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: IFS.ECM.DAV_MOUNT_POINT

### PUBLIC_SESSIONSTATE_PREFIX

    public static final java.lang.String PUBLIC_SESSIONSTATE_PREFIX

  Description copied from class: `FdkConstants`
  The prefix for public session properties that can be set by Web Services clients by calling `SessionManager.setSessionProperties()`.

  See Also:
    Constant Field Values

### PUBLIC_SESSIONSTATE_APPLICATION_USERIDENTIFER

    public static final java.lang.String PUBLIC_SESSIONSTATE_APPLICATION_USERIDENTIFER

  Description copied from class: `FdkConstants`
  Key to get and set session state used to track the application's notion of the user identifier (settable by the application).

  See Also:
    Constant Field Values

### TRUSTED_APPLICATION_NAME

    public static final java.lang.String TRUSTED_APPLICATION_NAME

  Description copied from class: `FdkConstants`
  Login option that identifies trusted applications and which only trusted applications can set when calling login() methods. Passed via the FdkCredential options.

  See Also:
    Constant Field Values

### USERNAME_TOKEN_ENCRYPT_CERT

    public static final java.lang.String USERNAME_TOKEN_ENCRYPT_CERT

  Description copied from class: `FdkConstants`
  Login option that identifies the path to theserver encryption certificate to be used in encrypting the Username Token for a Username Token login. Passed via the FdkCredential options.

  See Also:
    Constant Field Values

### EXCEPTION_INFO_PARAMETER_NAME

    public static final java.lang.String EXCEPTION_INFO_PARAMETER_NAME

  Description copied from class: `FdkConstants`
  Describes exception info comprised of the name of the parameter involved in the exception.

  Data Type: String

  See Also:
    Constant Field Values
  Constant Field Value: ECM.EXCEPTIONINFO.ParameterName

### EXCEPTION_INFO_CONFLICTING_OBJECT_ID

    public static final java.lang.String EXCEPTION_INFO_CONFLICTING_OBJECT_ID

  Description copied from class: `FdkConstants`
  Describes exception info comprised of an object ID that represents the conflicting object for a name-conflict exception code.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.EXCEPTIONINFO.ConflictingObjectId

### EXCEPTION_INFO_OBJECT_ID

    public static final java.lang.String EXCEPTION_INFO_OBJECT_ID

  Description copied from class: `FdkConstants`
  Describes exception info comprised of an object ID that represents the object for which the exception is about.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.EXCEPTIONINFO.ObjectId

### EXCEPTION_INFO_MISSING_REQUIRED_METADATA_IDS

    public static final java.lang.String EXCEPTION_INFO_MISSING_REQUIRED_METADATA_IDS

  Description copied from class: `FdkConstants`
  Describes exception info comprised of an array of object IDs that represents the missing required category classes for enforced categorization/recordization

  See Also:
    Constant Field Values
  Constant Field Value: ECM.EXCEPTIONINFO.MissingMetaData

### EXCEPTION_INFO_MISSING_REQUIRED_METADATA_ATTRIBUTE_IDS

    public static final java.lang.String EXCEPTION_INFO_MISSING_REQUIRED_METADATA_ATTRIBUTE_IDS

  Description copied from class: `FdkConstants`
  Describes exception info comprised of a long[][] array of object IDs that represents the missing required category classes and attributes for enforced categorization/recordization. Format is `

       [

         [classid][attrid]

       ]

  `

  See Also:
    Constant Field Values
  Constant Field Value: ECM.EXCEPTIONINFO.MissingMetaDataAttributes

### EXCEPTION_INFO_NON_ALLOWED_METADATA_IDS

    public static final java.lang.String EXCEPTION_INFO_NON_ALLOWED_METADATA_IDS

  Description copied from class: `FdkConstants`
  Describes exception info comprised of an array of object IDs that represents the non-allowed category classes for enforced categorization/recordization

  See Also:
    Constant Field Values
  Constant Field Value: ECM.EXCEPTIONINFO.NonAllowedMetaData

### EXCEPTION_INFO_CONFLICT_RESOLUTION_OPTIONS

    public static final java.lang.String EXCEPTION_INFO_CONFLICT_RESOLUTION_OPTIONS

  Description copied from class: `FdkConstants`
  Describes exception info comprised of a String[] of resolutions options that are available to resolve the name conflict that an operation caused.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.EXCEPTIONINFO.ConflictResolutionOptions

### USERPREFERENCE_GENERAL_ITEMSPERPAGE

    public static final java.lang.String USERPREFERENCE_GENERAL_ITEMSPERPAGE

  Description copied from class: `FdkConstants`
  Key for the user preference which defines the maximum number of items to show per page.

  Data Type: Integer

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.GENERAL.ItemsPerPage

### USERPREFERENCE_MOSTRECENTDOCS_MAXITEMS

    public static final java.lang.String USERPREFERENCE_MOSTRECENTDOCS_MAXITEMS

  Description copied from class: `FdkConstants`
  Key for the user preference which defines the maximum number of "most recent documents" to keep for each user.

  Data Type: Integer

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.MOSTRECENTDOCS.MaxItems

### USERPREFERENCE_MOSTRECENTDOCS_EXCEPTEDEXTENSIONS

    public static final java.lang.String USERPREFERENCE_MOSTRECENTDOCS_EXCEPTEDEXTENSIONS

  Description copied from class: `FdkConstants`
  Key for the user preference which defines the list of file extensions to keep for each user that do not cause an update to the "most recent documents" queue when documents are accessed with one of the formats listed.

  Data Type: String[]

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.MOSTRECENTDOCS.ExceptedExtensions

### USERPREFERENCE_WEBDAV_OSCHARENCODING

    public static final java.lang.String USERPREFERENCE_WEBDAV_OSCHARENCODING

  Description copied from class: `FdkConstants`
  Key for the user preference which allows the user to specify a character encoding other than UTF-8 in order to support old, non-compliant versions of Microsoft clients.

  Data Type: String

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.WEBDAV.OsCharEncoding

### USERPREFERENCE_WEBDAV_SENDRAWBYTES

    public static final java.lang.String USERPREFERENCE_WEBDAV_SENDRAWBYTES

  Description copied from class: `FdkConstants`
  Key for the user preference which allows the user to choose whether long content-disposition filenames should be sent in raw bytes instead of utf-8. Only applies to Microsoft clients.

  Data Type: String

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.WEBDAV.SendRawBytes

### USERPREFERENCE_UIPROPERTIES_USESSCREENREADER

    public static final java.lang.String USERPREFERENCE_UIPROPERTIES_USESSCREENREADER

  Description copied from class: `FdkConstants`
  Key for the 'user preference' that tracks whether the user uses a screen reader.

  Data Type: Boolean

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.UIPROPERTIES.UsesScreenReader

### USERPREFERENCE_UIPROPERTIES_EDITINPLACEENABLED

    public static final java.lang.String USERPREFERENCE_UIPROPERTIES_EDITINPLACEENABLED

  Description copied from class: `FdkConstants`
  Key for the 'user preference' that tracks whether the user has edit in place enabled

  Data Type: Boolean

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.UIPROPERTIES.EditInPlaceEnabled

### USERPREFERENCE_UIPROPERTIES_VIEWEDFIRSTLOGIN

    public static final java.lang.String USERPREFERENCE_UIPROPERTIES_VIEWEDFIRSTLOGIN

  Description copied from class: `FdkConstants`
  Key for the 'user preference' that tracks whether the user has viewed the first login page.

  Data Type: Boolean

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.UIPROPERTIES.ViewedFirstLogin

### USERPREFERENCE_UIPROPERTIES_LASTVIEW

    public static final java.lang.String USERPREFERENCE_UIPROPERTIES_LASTVIEW

  Description copied from class: `FdkConstants`
  Key for the 'user preference' that tracks the last view the user was in.

  Data Type: String

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.UIPROPERTIES.LastView

### USERPREFERENCE_UIPROPERTIES_FOLDERTREESTATE

    public static final java.lang.String USERPREFERENCE_UIPROPERTIES_FOLDERTREESTATE

  Description copied from class: `FdkConstants`
  Key for the 'user preference' that tracks the expanded nodes of the folder tree in the folder view.

  Data Type: String

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.UIPROPERTIES.folderTreeState

### USERPREFERENCE_UIPROPERTIES_LASTFOLDER

    public static final java.lang.String USERPREFERENCE_UIPROPERTIES_LASTFOLDER

  Description copied from class: `FdkConstants`
  Key for the 'user preference' that tracks the last folder the user accessed.

  Data Type: Long

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.UIPROPERTIES.LastFolder

### USERPREFERENCE_UIPROPERTIES_PROMPTFORVERSIONINFO

    public static final java.lang.String USERPREFERENCE_UIPROPERTIES_PROMPTFORVERSIONINFO

  Description copied from class: `FdkConstants`
  Tracks whether user has dismissed the dialog for Version Description.

  Data Type: Boolean

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.UIPROPERTIES.PromptForVersionInfo

### USERPREFERENCE_SORTING_PREFIX

    public static final java.lang.String USERPREFERENCE_SORTING_PREFIX

  Description copied from class: `FdkConstants`
  Key for the prefix to all user preferences that indicate a non-default sorting of items in a table. Note that this is not an actual user preference key; it is used to construct keys for the table names that follow.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.SORTING.

### USERPREFERENCE_SORTING_TABLENAME_FILELISTING

    public static final java.lang.String USERPREFERENCE_SORTING_TABLENAME_FILELISTING

  Description copied from class: `FdkConstants`
  Suffix for the "file listing" table.

  See Also:
    Constant Field Values
  Constant Field Value: fileListingTable

### USERPREFERENCE_SORTING_TABLENAME_VERSIONHISTORY

    public static final java.lang.String USERPREFERENCE_SORTING_TABLENAME_VERSIONHISTORY

  Description copied from class: `FdkConstants`
  Suffix for the "version history" table.

  See Also:
    Constant Field Values
  Constant Field Value: versionHistoryTable

### USERPREFERENCE_SORTING_TABLENAME_SECURITYCONFIG

    public static final java.lang.String USERPREFERENCE_SORTING_TABLENAME_SECURITYCONFIG

  Description copied from class: `FdkConstants`
  Suffix for the "security config" table.

  See Also:
    Constant Field Values
  Constant Field Value: securityConfigTable

### USERPREFERENCE_SORTING_TABLENAME_MEMBERLISTING

    public static final java.lang.String USERPREFERENCE_SORTING_TABLENAME_MEMBERLISTING

  Description copied from class: `FdkConstants`
  Suffix for the "member Listing" table.

  See Also:
    Constant Field Values
  Constant Field Value: memberListingTable

### USERPREFERENCE_SORTING_TABLENAME_ROLES

    public static final java.lang.String USERPREFERENCE_SORTING_TABLENAME_ROLES

  Description copied from class: `FdkConstants`
  Suffix for the "roles table" table.

  See Also:
    Constant Field Values
  Constant Field Value: rolesTable

### USERPREFERENCE_SORTING_TABLENAME_USERSORGROUPSRESULTS

    public static final java.lang.String USERPREFERENCE_SORTING_TABLENAME_USERSORGROUPSRESULTS

  Description copied from class: `FdkConstants`
  Suffix for the "users or groups results" table.

  See Also:
    Constant Field Values
  Constant Field Value: usersOrGroupsResultsTable

### USERPREFERENCE_SORTING_TABLENAME_SELECTEDUSERSORGROUPS

    public static final java.lang.String USERPREFERENCE_SORTING_TABLENAME_SELECTEDUSERSORGROUPS

  Description copied from class: `FdkConstants`
  Suffix for the "selectedUsersOrGroupsTable" table.

  See Also:
    Constant Field Values
  Constant Field Value: selectedUsersOrGroupsTable

### USERPREFERENCE_SORTING_TABLENAME_JOINABLEWORKSPACES

    public static final java.lang.String USERPREFERENCE_SORTING_TABLENAME_JOINABLEWORKSPACES

  Description copied from class: `FdkConstants`
  Suffix for the "joinable Workspaces Table" table.

  See Also:
    Constant Field Values
  Constant Field Value: joinableWorkspacesTable

### USERPREFERENCE_SORTING_TABLENAME_USERSEARCHRESULTS

    public static final java.lang.String USERPREFERENCE_SORTING_TABLENAME_USERSEARCHRESULTS

  Description copied from class: `FdkConstants`
  Suffix for the "user search results" table.

  See Also:
    Constant Field Values
  Constant Field Value: userSearchResultsTable

### USERPREFERENCE_SORTING_TABLENAME_VIRUSNAMES

    public static final java.lang.String USERPREFERENCE_SORTING_TABLENAME_VIRUSNAMES

  Description copied from class: `FdkConstants`
  Suffix for the "virus report" table.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: virusNamesTable

### USERPREFERENCE_SORTING_TABLENAME_RECENTFILES

    public static final java.lang.String USERPREFERENCE_SORTING_TABLENAME_RECENTFILES

  Description copied from class: `FdkConstants`
  Suffix for the "recent Files" table.

  See Also:
    Constant Field Values
  Constant Field Value: recentFilesTable

### USERPREFERENCE_SORTING_TABLENAME_LOCKEDFILES

    public static final java.lang.String USERPREFERENCE_SORTING_TABLENAME_LOCKEDFILES

  Description copied from class: `FdkConstants`
  Suffix for the "locked Files" table.

  See Also:
    Constant Field Values
  Constant Field Value: lockedFilesTable

### USERPREFERENCE_SORTING_TABLENAME_CHECKEDOUTFILES

    public static final java.lang.String USERPREFERENCE_SORTING_TABLENAME_CHECKEDOUTFILES

  Description copied from class: `FdkConstants`
  Suffix for the "checked out Files" table.

  See Also:
    Constant Field Values
  Constant Field Value: checkedOutFilesTable

### USERPREFERENCE_SORTING_TABLENAME_WORKFLOWREPORT

    public static final java.lang.String USERPREFERENCE_SORTING_TABLENAME_WORKFLOWREPORT

  Description copied from class: `FdkConstants`
  Suffix for the "workflow report" table.

  See Also:
    Constant Field Values
  Constant Field Value: workflowReportTable

### USERPREFERENCE_SORTING_TABLENAME_SEARCHRESULTS

    public static final java.lang.String USERPREFERENCE_SORTING_TABLENAME_SEARCHRESULTS

  Description copied from class: `FdkConstants`
  Suffix for the "search results" table.

  See Also:
    Constant Field Values
  Constant Field Value: searchResultsTable

### USERPREFERENCE_SORTING_TABLENAME_GROUPMEMBERLIST

    public static final java.lang.String USERPREFERENCE_SORTING_TABLENAME_GROUPMEMBERLIST

  Description copied from class: `FdkConstants`
  Table name for groups view in the Web App.

  See Also:
    Constant Field Values
  Constant Field Value: groupMemberList

### USERPREFERENCE_SORTING_TABLENAME_GROUPMEMBERS

    public static final java.lang.String USERPREFERENCE_SORTING_TABLENAME_GROUPMEMBERS

  Description copied from class: `FdkConstants`
  Table name for Group Properties / Group Create dialog-boxes in the Web App.

  See Also:
    Constant Field Values
  Constant Field Value: groupMembers

### USERPREFERENCE_USERPROPERTIES_REALM

    public static final java.lang.String USERPREFERENCE_USERPROPERTIES_REALM

  Description copied from class: `FdkConstants`
  Key for the user preference (property) which declares the user's realm name, generally derived from the user's Domain.

  Data Type: String

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.USERPROPERTIES.Realm

### USERPREFERENCE_USERPROPERTIES_DOMAIN

    public static final java.lang.String USERPREFERENCE_USERPROPERTIES_DOMAIN

  Description copied from class: `FdkConstants`
  Key for the user preference (property) which declares the user's Domain.

  Data Type: Item (DOMAIN)

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.USERPROPERTIES.Domain

### USERPREFERENCE_USERPROPERTIES_DOMAINUSER

    public static final java.lang.String USERPREFERENCE_USERPROPERTIES_DOMAINUSER

  Description copied from class: `FdkConstants`
  Key for the user preference (property) which indicates the "regular" user associated with this user.

  The property returns the DomainUser item, or null if the user does not have an associated regular user (which can only happen for guest and system).

  Data Type: Item (USER)

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.USERPROPERTIES.DomainUser

### USERPREFERENCE_USERPROPERTIES_DOMAINADMINUSER

    public static final java.lang.String USERPREFERENCE_USERPROPERTIES_DOMAINADMINUSER

  Description copied from class: `FdkConstants`
  Key for the user preference (property) which indicates whether the user can switch into domain admin mode.

  The property returns the DomainAdminUser item, or null if the user cannot switch into domain admin mode.

  Data Type: Item (USER)

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.USERPROPERTIES.DomainAdminUser

### USERPREFERENCE_USERPROPERTIES_USERNAME

    public static final java.lang.String USERPREFERENCE_USERPROPERTIES_USERNAME

  Description copied from class: `FdkConstants`
  Key for the user preference (property) which indicates the standard name for the user.

  Data Type: String

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.USERPROPERTIES.UserName

### USERPREFERENCE_USERPROPERTIES_DISPLAYNAME

    public static final java.lang.String USERPREFERENCE_USERPROPERTIES_DISPLAYNAME

  Description copied from class: `FdkConstants`
  Key for the user preference (property) which indicates the desired display name for the user.

  Data Type: String

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.USERPROPERTIES.DisplayName

### USERPREFERENCE_USERPROPERTIES_LANGUAGE

    public static final java.lang.String USERPREFERENCE_USERPROPERTIES_LANGUAGE

  Description copied from class: `FdkConstants`
  Key for the user preference (property) which indicates the desired document language for the user.

  Data Type: String

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.USERPROPERTIES.Language

### USERPREFERENCE_USERPROPERTIES_CHARACTERSET

    public static final java.lang.String USERPREFERENCE_USERPROPERTIES_CHARACTERSET

  Description copied from class: `FdkConstants`
  Key for the user preference (property) which indicates the desired document character set for the user.

  Data Type: String (eg: ISO-8859-1)

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.USERPROPERTIES.CharacterSet

### USERPREFERENCE_USERPROPERTIES_PERSONALWORKSPACE

    public static final java.lang.String USERPREFERENCE_USERPROPERTIES_PERSONALWORKSPACE

  Description copied from class: `FdkConstants`
  Key for the user preference (property) which indicates the user's personal workspace.

  Data Type: Item (WORKSPACE)

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.USERPROPERTIES.PersonalWorkspace

### USERPREFERENCE_USERPROPERTIES_STARTINGFOLDER

    public static final java.lang.String USERPREFERENCE_USERPROPERTIES_STARTINGFOLDER

  Description copied from class: `FdkConstants`
  Key for the user preference which indicates the folder that user prefers to navigate to as the initial folder when an application starts.

  Data Type: Item (DOMAIN, CONTAINER, WORKSPACE, FOLDER)

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.USERPROPERTIES.StartingFolder

### USERPREFERENCE_USERPROPERTIES_STARTATLASTFOLDER

    public static final java.lang.String USERPREFERENCE_USERPROPERTIES_STARTATLASTFOLDER

  Description copied from class: `FdkConstants`
  Key for the user preference which indicates whether the user prefers to navigate to an initial folder when the application starts, where the folder is the last folder navigated to in the user's previous session.

  Data Type: Boolean

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.USERPROPERTIES.StartAtLastFolder

### USERPREFERENCE_USERPROPERTIES_PERSONALSHAREDFOLDER

    public static final java.lang.String USERPREFERENCE_USERPROPERTIES_PERSONALSHAREDFOLDER

  Description copied from class: `FdkConstants`
  Key for the user preference which indicates the folder under the user's personal workspace that is designated by the user as his "shared" folder.

  Data Type: Long (FOLDER)

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.USERPROPERTIES.PersonalSharedFolder

### USERPREFERENCE_USERPROPERTIES_DISCOVERABLEWORKSPACESFOLDER

    public static final java.lang.String USERPREFERENCE_USERPROPERTIES_DISCOVERABLEWORKSPACESFOLDER

  Description copied from class: `FdkConstants`
  Key for the user preference which indicates the folder under the user's personal workspace that will contain links to the Workspaces the user can discover.

  Data Type: Long (FOLDER)

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.USERPROPERTIES.DiscoverableWorkspacesFolder

### USERPREFERENCE_USERPROPERTIES_ISRECORDSADMIN

    public static final java.lang.String USERPREFERENCE_USERPROPERTIES_ISRECORDSADMIN

  Description copied from class: `FdkConstants`
  Key for the user preference (property) which indicates whether the user is also a records admin.

  Data Type: Boolean

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: ECM.USERPREFERENCE.USERPROPERTIES.IsRecordsAdmin

### USERPREFERENCE_USERPROPERTIES_CANCREATEGROUP

    public static final java.lang.String USERPREFERENCE_USERPROPERTIES_CANCREATEGROUP

  Description copied from class: `FdkConstants`
  Key for the user preference (property) which indicates whether the user is able to create new groups.

  Data Type: Boolean

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.USERPROPERTIES.CanCreateGroup

### USERPREFERENCE_USERPROPERTIES_EMAILADDRESS

    public static final java.lang.String USERPREFERENCE_USERPROPERTIES_EMAILADDRESS

  Description copied from class: `FdkConstants`
  Key for the user preference (property) which indicates the user's Email address.

  Data Type: String

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.USERPROPERTIES.EmailAddress

### USERPREFERENCE_USERPROPERTIES_LASTNAME

    public static final java.lang.String USERPREFERENCE_USERPROPERTIES_LASTNAME

  Description copied from class: `FdkConstants`
  Key for the user preference (property) which indicates the user's last name.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.USERPROPERTIES.LastName

### USERPREFERENCE_USERPROPERTIES_FIRSTNAME

    public static final java.lang.String USERPREFERENCE_USERPROPERTIES_FIRSTNAME

  Description copied from class: `FdkConstants`
  Key for the user preference (property) which indicates the user's first name.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.USERPROPERTIES.FirstName

### USERPREFERENCE_USERPROPERTIES_FTPPASSWORD

    public static final java.lang.String USERPREFERENCE_USERPROPERTIES_FTPPASSWORD

  Description copied from class: `FdkConstants`
  Key for the user preference (property) which indicates the user's FTP password.

  Data Type: String

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.USERPROPERTIES.FtpPassword

### USERPREFERENCE_USERPROPERTIES_TIMEZONE

    public static final java.lang.String USERPREFERENCE_USERPROPERTIES_TIMEZONE

  Description copied from class: `FdkConstants`
  Key for the user preference (property) which indicates the user's TimeZone.

  Data Type: String (eg: America/Los_Angeles)

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.USERPROPERTIES.TimeZone

### USERPREFERENCE_USERPROPERTIES_LOCALE

    public static final java.lang.String USERPREFERENCE_USERPROPERTIES_LOCALE

  Description copied from class: `FdkConstants`
  Key for the user preference (property) which indicates the user's Locale.

  Data Type: String (eg: en_US)

  See Also:
    Constant Field Values
  Constant Field Value: ECM.USERPREFERENCE.USERPROPERTIES.Locale

### ROLEKEY_NONE

    public static final java.lang.String ROLEKEY_NONE

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the None role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.None

### ROLEKEY_CONTAINERVIEWER

    public static final java.lang.String ROLEKEY_CONTAINERVIEWER

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the ContainerViewer role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.ContainerViewer

### ROLEKEY_DOMAINADMIN

    public static final java.lang.String ROLEKEY_DOMAINADMIN

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the Domain Administrator role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.DomainAdministrator

### ROLEKEY_USERADMIN

    public static final java.lang.String ROLEKEY_USERADMIN

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the User Administrator role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.UserAdministrator

### ROLEKEY_CATEGORYADMIN

    public static final java.lang.String ROLEKEY_CATEGORYADMIN

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the Category Administrator role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.CategoryAdministrator

### ROLEKEY_RECORDSADMIN

    public static final java.lang.String ROLEKEY_RECORDSADMIN

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the Records Administrator role.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: ECM.ROLEKEY.RecordsAdministrator

### ROLEKEY_ROLEADMIN

    public static final java.lang.String ROLEKEY_ROLEADMIN

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the Role Administrator role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.RoleAdministrator

### ROLEKEY_CONTAINERADMIN

    public static final java.lang.String ROLEKEY_CONTAINERADMIN

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the Container Administrator role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.ContainerAdministrator

### ROLEKEY_QUOTAADMIN

    public static final java.lang.String ROLEKEY_QUOTAADMIN

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the Quota Administrator role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.QuotaAdministrator

### ROLEKEY_SECURITYADMIN

    public static final java.lang.String ROLEKEY_SECURITYADMIN

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the Security Administrator role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.SecurityAdministrator

### ROLEKEY_CONFIGURATIONADMIN

    public static final java.lang.String ROLEKEY_CONFIGURATIONADMIN

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the Configuration Administrator role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.ConfigurationAdministrator

### ROLEKEY_WORKSPACEADMIN

    public static final java.lang.String ROLEKEY_WORKSPACEADMIN

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the Workspace Administrator role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.WorkspaceAdministrator

### ROLEKEY_WORKSPACECREATOR

    public static final java.lang.String ROLEKEY_WORKSPACECREATOR

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the Workspace Creator role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.WorkspaceCreator

### ROLEKEY_CONTENTADMIN

    public static final java.lang.String ROLEKEY_CONTENTADMIN

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the Content Administrator role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.ContentAdministrator

### ROLEKEY_ADMIN

    public static final java.lang.String ROLEKEY_ADMIN

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the generic Administrator role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.Administrator

### ROLEKEY_ADMINASSISTANT

    public static final java.lang.String ROLEKEY_ADMINASSISTANT

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the generic Administrative Assistant role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.AdministrativeAssistant

### ROLEKEY_MANAGER

    public static final java.lang.String ROLEKEY_MANAGER

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the generic Manager role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.Manager

### ROLEKEY_DISCOVERER

    public static final java.lang.String ROLEKEY_DISCOVERER

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the generic Discoverer role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.Discoverer

### ROLEKEY_READER

    public static final java.lang.String ROLEKEY_READER

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the generic Reader role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.Reader

### ROLEKEY_AUTHOR

    public static final java.lang.String ROLEKEY_AUTHOR

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the generic Author role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.Author

### ROLEKEY_LIMITEDAUTHOR

    public static final java.lang.String ROLEKEY_LIMITEDAUTHOR

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the generic Limited Author role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.LimitedAuthor

### ROLEKEY_REVIEWER

    public static final java.lang.String ROLEKEY_REVIEWER

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the generic Reviewer role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.Reviewer

### ROLEKEY_CONTENTEDITOR

    public static final java.lang.String ROLEKEY_CONTENTEDITOR

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the generic Content Editor role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.ContentEditor

### ROLEKEY_COMMENTATOR

    public static final java.lang.String ROLEKEY_COMMENTATOR

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the generic Commentator role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.Commentator

### ROLEKEY_APPROVER

    public static final java.lang.String ROLEKEY_APPROVER

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the generic Approver role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.Approver

### ROLEKEY_ORGANIZER

    public static final java.lang.String ROLEKEY_ORGANIZER

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the generic Organizer role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.Organizer

### ROLEKEY_CUSTODIAN

    public static final java.lang.String ROLEKEY_CUSTODIAN

  Description copied from class: `FdkConstants`
  The Role identifier used to identify the generic Custodian role.

  See Also:
    Constant Field Values
  Constant Field Value: ECM.ROLEKEY.Custodian

### REQUEST_STATUS_PENDING

    public static final int REQUEST_STATUS_PENDING

  Description copied from class: `FdkConstants`
  Constant value for the Request status of PENDING.

  See Also:
    Constant Field Values
  Constant Field Value: 0

### REQUEST_STATUS_CANCELED

    public static final int REQUEST_STATUS_CANCELED

  Description copied from class: `FdkConstants`
  Constant value for the Request status of CANCELED.

  See Also:
    Constant Field Values
  Constant Field Value: -1

### REQUEST_STATUS_SUCCEEDED

    public static final int REQUEST_STATUS_SUCCEEDED

  Description copied from class: `FdkConstants`
  Constant value for the Request status of SUCCEEDED.

  See Also:
    Constant Field Values
  Constant Field Value: 1

### REQUEST_STATUS_ABORTED

    public static final int REQUEST_STATUS_ABORTED

  Description copied from class: `FdkConstants`
  Constant value for the Request status of ABORTED.

  See Also:
    Constant Field Values
  Constant Field Value: -2

### REQUEST_STATUS_EXPIRED

    public static final int REQUEST_STATUS_EXPIRED

  Description copied from class: `FdkConstants`
  Constant value for the Request status of EXPIRED.

  See Also:
    Constant Field Values
  Constant Field Value: -3

### REQUEST_STATUS_FAILED

    public static final int REQUEST_STATUS_FAILED

  Description copied from class: `FdkConstants`
  Constant value for the Request status of FAILED.

  See Also:
    Constant Field Values
  Constant Field Value: -4

### LOCKTYPE_MANUAL

    public static final int LOCKTYPE_MANUAL

  Description copied from class: `FdkConstants`
  Represents the "manual" LockEntry type.

  See Also:
    Constant Field Values
  Constant Field Value: 1

### LOCKTYPE_CHECKOUT

    public static final int LOCKTYPE_CHECKOUT

  Description copied from class: `FdkConstants`
  Represents the "checkout" LockEntry type.

  See Also:
    Constant Field Values
  Constant Field Value: 2

### LOCKTYPE_FINALIZED

    public static final int LOCKTYPE_FINALIZED

  Description copied from class: `FdkConstants`
  Represents the "finalized" (version immutability) LockEntry type.

  See Also:
    Constant Field Values
  Constant Field Value: 3

### LOCKTYPE_WORKFLOW

    public static final int LOCKTYPE_WORKFLOW

  Description copied from class: `FdkConstants`
  Represents the "workflow" LockEntry type.

  See Also:
    Constant Field Values
  Constant Field Value: 4

### LOCKTYPE_RECORD

    public static final int LOCKTYPE_RECORD

  Description copied from class: `FdkConstants`
  Represents the "record" LockEntry type.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 5

### LOCKTYPE_FAMILYHASRECORD

    public static final int LOCKTYPE_FAMILYHASRECORD

  Deprecated. Use LOCKTYPE_HASRECORD
  Description copied from class: `FdkConstants`
  Represents the "familyHasRecord" LockEntry type.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 6

### LOCKTYPE_HASRECORD

    public static final int LOCKTYPE_HASRECORD

  Description copied from class: `FdkConstants`
  Represents the "HasRecord" LockEntry type.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 6

### LOCKTYPE_DAV

    public static final int LOCKTYPE_DAV

  Description copied from class: `FdkConstants`
  Represents the DAV LockEntry type.

  See Also:
    Constant Field Values
  Constant Field Value: 7

### LOCKTYPE_FREEZE

    public static final int LOCKTYPE_FREEZE

  Description copied from class: `FdkConstants`
  Represents the FREEZE LockEntry type.

  See Also:
    Constant Field Values
  Constant Field Value: 8

### LOCKTYPE_LIFECYCLE

    public static final int LOCKTYPE_LIFECYCLE

  Description copied from class: `FdkConstants`
  Represents the LIFECYCLE LockEntry type.

  See Also:
    Constant Field Values
  Constant Field Value: 9

### LOCKTYPE_RETENTION

    public static final int LOCKTYPE_RETENTION

  Description copied from class: `FdkConstants`
  Represents the RETENTION LockEntry type.

  See Also:
    Constant Field Values
  Constant Field Value: 10

### LOCKTYPE_NAMEDFREEZE

    public static final int LOCKTYPE_NAMEDFREEZE

  Description copied from class: `FdkConstants`
  Represents the NAMED FREEZE (also known as Legal Hold) LockEntry type.

  See Also:
    Constant Field Values
  Constant Field Value: 11

### LOCKTYPE_CUSTOM

    public static final int LOCKTYPE_CUSTOM

  Description copied from class: `FdkConstants`
  Represents the CUSTOM LockEntry type. (Denotes a custom lock type that has been registered.)

  See Also:
    Constant Field Values
  Constant Field Value: 99

### CAPABILITY_DISCOVER

    public static final long CAPABILITY_DISCOVER

  Description copied from class: `FdkConstants`
  Capability to discover an item.

  Value: (1L << 0)

  See Also:
    Constant Field Values

### CAPABILITY_SET_ATTR

    public static final long CAPABILITY_SET_ATTR

  Description copied from class: `FdkConstants`
  Capability to set attributes of an item.

  Value: (1L << 1)

  See Also:
    Constant Field Values

### CAPABILITY_GET_CONTENT

    public static final long CAPABILITY_GET_CONTENT

  Description copied from class: `FdkConstants`
  Capability to get the content of an item.

  Value: (1L << 2)

  See Also:
    Constant Field Values

### CAPABILITY_SET_CONTENT

    public static final long CAPABILITY_SET_CONTENT

  Description copied from class: `FdkConstants`
  Capability to set the content of an item.

  Value: (1L << 3)

  See Also:
    Constant Field Values

### CAPABILITY_DELETE

    public static final long CAPABILITY_DELETE

  Description copied from class: `FdkConstants`
  Capability to delete an item.

  Value: (1L << 4)

  See Also:
    Constant Field Values

### CAPABILITY_LOCK

    public static final long CAPABILITY_LOCK

  Description copied from class: `FdkConstants`
  Capability to lock an item.

  Value: (1L << 5)

  See Also:
    Constant Field Values

### CAPABILITY_ADDITEM

    public static final long CAPABILITY_ADDITEM

  Description copied from class: `FdkConstants`
  Capability to add an item to a folder.

  Value: (1L << 14)

  See Also:
    Constant Field Values

### CAPABILITY_ADDVERSION

    public static final long CAPABILITY_ADDVERSION

  Description copied from class: `FdkConstants`
  Capability to add a new version to an item.

  Value: (1L << 20)

  See Also:
    Constant Field Values

### CAPABILITY_ADMINISTER_DOMAIN

    public static final long CAPABILITY_ADMINISTER_DOMAIN

  Description copied from class: `FdkConstants`
  Capability to administer domains.

  Value: (1L << 32)

  See Also:
    Constant Field Values

### CAPABILITY_CREATEFOLDER

    public static final long CAPABILITY_CREATEFOLDER

  Description copied from class: `FdkConstants`
  Capability to create folders.

  Value: (1L << 33)

  See Also:
    Constant Field Values

### CAPABILITY_GETAUDITHISTORY

    public static final long CAPABILITY_GETAUDITHISTORY

  Description copied from class: `FdkConstants`
  Capability to get audit history for an object.

  Value: (1L << 34)

  See Also:
    Constant Field Values

### CAPABILITY_GETRELATION

    public static final long CAPABILITY_GETRELATION

  Description copied from class: `FdkConstants`
  Capability to get relations for an object.

  Value: (1L << 35)

  See Also:
    Constant Field Values

### CAPABILITY_SETRELATION

    public static final long CAPABILITY_SETRELATION

  Description copied from class: `FdkConstants`
  Capability to set relations for an object.

  Value: (1L << 36)

  See Also:
    Constant Field Values

### CAPABILITY_ADMINISTER_LOCK

    public static final long CAPABILITY_ADMINISTER_LOCK

  Description copied from class: `FdkConstants`
  Capability to administer locks.

  Value: (1L << 47)

  See Also:
    Constant Field Values

### CAPABILITY_ADMINISTER_USER

    public static final long CAPABILITY_ADMINISTER_USER

  Description copied from class: `FdkConstants`
  Capability to administer users.

  Value: (1L << 48)

  See Also:
    Constant Field Values

### CAPABILITY_ADMINISTER_CATEGORY

    public static final long CAPABILITY_ADMINISTER_CATEGORY

  Description copied from class: `FdkConstants`
  Capability to administer ad-hoc categories.

  Value: (1L << 49)

  See Also:
    Constant Field Values

### CAPABILITY_ADMINISTER_RECORD

    public static final long CAPABILITY_ADMINISTER_RECORD

  Description copied from class: `FdkConstants`
  Capability to administer records.

  Value: (1L << 50)

  See Also:
    Constant Field Values
  (Unpublished)

### CAPABILITY_ADMINISTER_ROLE

    public static final long CAPABILITY_ADMINISTER_ROLE

  Description copied from class: `FdkConstants`
  Capability to administer roles.

  Value: (1L << 51)

  See Also:
    Constant Field Values

### CAPABILITY_ADMINISTER_CONTAINER

    public static final long CAPABILITY_ADMINISTER_CONTAINER

  Description copied from class: `FdkConstants`
  Capability to administer containers, including creation.

  Value: (1L << 52)

  See Also:
    Constant Field Values

### CAPABILITY_ADMINISTER_QUOTA

    public static final long CAPABILITY_ADMINISTER_QUOTA

  Description copied from class: `FdkConstants`
  Capability to administer quota.

  Value: (1L << 53)

  See Also:
    Constant Field Values

### CAPABILITY_ADMINISTER_WORKSPACE

    public static final long CAPABILITY_ADMINISTER_WORKSPACE

  Description copied from class: `FdkConstants`
  Capability to administer workspaces, including creation.

  Value: (1L << 54)

  See Also:
    Constant Field Values

### CAPABILITY_ADMINISTER_SECURITY

    public static final long CAPABILITY_ADMINISTER_SECURITY

  Description copied from class: `FdkConstants`
  Capability to administer security of items.

  Value: (1L << 55)

  See Also:
    Constant Field Values

### CAPABILITY_ADMINISTER_CONFIGURATION

    public static final long CAPABILITY_ADMINISTER_CONFIGURATION

  Description copied from class: `FdkConstants`
  Capability to administer configuration of items.

  Value: (1L << 56)

  See Also:
    Constant Field Values

### CAPABILITY_CREATEWORKSPACE

    public static final long CAPABILITY_CREATEWORKSPACE

  Description copied from class: `FdkConstants`
  Capability to create workspaces.

  Value: (1L << 57)

  See Also:
    Constant Field Values

### CAPABILITY_CREATECONTAINER

    public static final long CAPABILITY_CREATECONTAINER

  Description copied from class: `FdkConstants`
  Capability to create containers.

  Value: (1L << 58)

  See Also:
    Constant Field Values

### CAPABILITY_MOVE

    public static final long CAPABILITY_MOVE

  Description copied from class: `FdkConstants`
  Capability to move items.

  Value: (1L << 59)

  See Also:
    Constant Field Values

### CAPABILITY_GETMETADATA

    public static final long CAPABILITY_GETMETADATA

  Description copied from class: `FdkConstants`
  Capability to get the metadata of an item.

  Value: (1L << 60)

  See Also:
    Constant Field Values

### CAPABILITY_SETMETADATA

    public static final long CAPABILITY_SETMETADATA

  Description copied from class: `FdkConstants`
  Capability to set the metadata of an item.

  Value: (1L << 61)

  See Also:
    Constant Field Values

### CAPABILITY_COPY

    public static final long CAPABILITY_COPY

  Description copied from class: `FdkConstants`
  Capability to copy items.

  Value: (1L << 62)

  See Also:
    Constant Field Values

### VERSION_LABELING_NONE

    public static final int VERSION_LABELING_NONE

  Description copied from class: `FdkConstants`
  Indicates a null version labeler

  See Also:
    Constant Field Values
  Constant Field Value: 0

### VERSION_LABELING_TRIVIAL

    public static final int VERSION_LABELING_TRIVIAL

  Description copied from class: `FdkConstants`
  Indicates a Trivial Version Labeler

  See Also:
    Constant Field Values
  Constant Field Value: 1

### VERSION_LABELING_LOWERCASE

    public static final int VERSION_LABELING_LOWERCASE

  Description copied from class: `FdkConstants`
  Indicates a Lowercase Version Labeler

  See Also:
    Constant Field Values
  Constant Field Value: 2

### VERSION_LABELING_UPPERCASE

    public static final int VERSION_LABELING_UPPERCASE

  Description copied from class: `FdkConstants`
  Indicates a Upper case Version Labeler

  See Also:
    Constant Field Values
  Constant Field Value: 3

### VERSION_LABELING_ROMAN

    public static final int VERSION_LABELING_ROMAN

  Description copied from class: `FdkConstants`
  Indicates a Roman Version Labeler

  See Also:
    Constant Field Values
  Constant Field Value: 4

### VERSION_LABELING_DECIMAL

    public static final int VERSION_LABELING_DECIMAL

  Description copied from class: `FdkConstants`
  Indicates a Decimal Version Labeler

  See Also:
    Constant Field Values
  Constant Field Value: 5

### GROUP_MEMBERSHIP_VISIBILITY_ALL

    public static final int GROUP_MEMBERSHIP_VISIBILITY_ALL

  Description copied from class: `FdkConstants`
  Integer constant representing "viewable by everyone".

  See Also:
    Constant Field Values
  Constant Field Value: 1

### GROUP_MEMBERSHIP_VISIBILITY_MEMBERS

    public static final int GROUP_MEMBERSHIP_VISIBILITY_MEMBERS

  Description copied from class: `FdkConstants`
  Integer constant representing "viewable by members".

  See Also:
    Constant Field Values
  Constant Field Value: 2

### GROUP_MEMBERSHIP_VISIBILITY_MANAGERS

    public static final int GROUP_MEMBERSHIP_VISIBILITY_MANAGERS

  Description copied from class: `FdkConstants`
  Integer constant representing "viewable by managers".

  See Also:
    Constant Field Values
  Constant Field Value: 3

### SESSION_MODE_NORMAL

    public static final int SESSION_MODE_NORMAL

  Description copied from class: `FdkConstants`
  Integer constant representing the session mode for regular users (not in any administation or privileged modes). To be used with `SessionManager.setSessionMode(int, oracle.ifs.fdk.AttributeRequest[])` or `SessionManager.popSessionMode(int)`

  See Also:
    Constant Field Values
  Constant Field Value: 1

### SESSION_MODE_DOMAIN_ADMINISTRATION

    public static final int SESSION_MODE_DOMAIN_ADMINISTRATION

  Description copied from class: `FdkConstants`
  Integer constant representing the session mode for domain administation. To be used with `SessionManager.setSessionMode(int, oracle.ifs.fdk.AttributeRequest[])` only.

  See Also:
    Constant Field Values
  Constant Field Value: 2

### SESSION_MODE_DISCOVER_ALL

    public static final int SESSION_MODE_DISCOVER_ALL

  Description copied from class: `FdkConstants`
  Integer constant representing the session mode which allows discovery of all objects regardless of their assigned permissions. To be used with `SessionManager.pushSessionMode(int)` or `SessionManager.popSessionMode(int)`

  See Also:
    Constant Field Values
  Constant Field Value: 101

### SESSION_MODE_ADMIN_IGNORE_ALL

    public static final int SESSION_MODE_ADMIN_IGNORE_ALL

  Description copied from class: `FdkConstants`
  Integer constant representing the session mode which allows powerful unrestricted access. Use with caution. To be used with `SessionManager.pushSessionMode(int)` or `SessionManager.popSessionMode(int)`

  See Also:
    Constant Field Values
  Constant Field Value: 102

### OPERATOR_AND

    public static final java.lang.String OPERATOR_AND

  Description copied from class: `FdkConstants`
  AND operator for search expressions

  See Also:
    Constant Field Values
  Constant Field Value: AND

### OPERATOR_OR

    public static final java.lang.String OPERATOR_OR

  Description copied from class: `FdkConstants`
  OR operator for search expressions

  See Also:
    Constant Field Values
  Constant Field Value: OR

### OPERATOR_NOT

    public static final java.lang.String OPERATOR_NOT

  Description copied from class: `FdkConstants`
  NOT operator for search expressions

  See Also:
    Constant Field Values
  Constant Field Value: NOT

### OPERATOR_EQUAL

    public static final java.lang.String OPERATOR_EQUAL

  Description copied from class: `FdkConstants`
  EQUAL operator for search expressions

  See Also:
    Constant Field Values
  Constant Field Value: EQUAL

### OPERATOR_GREATER_THAN

    public static final java.lang.String OPERATOR_GREATER_THAN

  Description copied from class: `FdkConstants`
  GREATER THAN operator for search expressions

  See Also:
    Constant Field Values
  Constant Field Value: GREATER_THAN

### OPERATOR_GREATER_THAN_EQUAL

    public static final java.lang.String OPERATOR_GREATER_THAN_EQUAL

  Description copied from class: `FdkConstants`
  GREATER THAN OR EQUAL operator for search expressions

  See Also:
    Constant Field Values
  Constant Field Value: GREATER_THAN_EQUAL

### OPERATOR_LESS_THAN

    public static final java.lang.String OPERATOR_LESS_THAN

  Description copied from class: `FdkConstants`
  LESS THAN operator for search expressions

  See Also:
    Constant Field Values
  Constant Field Value: LESS_THAN

### OPERATOR_LESS_THAN_EQUAL

    public static final java.lang.String OPERATOR_LESS_THAN_EQUAL

  Description copied from class: `FdkConstants`
  LESS THAN OR EQUAL operator for search expressions

  See Also:
    Constant Field Values
  Constant Field Value: LESS_THAN_EQUAL

### OPERATOR_NOT_EQUAL

    public static final java.lang.String OPERATOR_NOT_EQUAL

  Description copied from class: `FdkConstants`
  NOT EQUAL operator for search expressions

  See Also:
    Constant Field Values
  Constant Field Value: NOT_EQUAL

### OPERATOR_IS_NULL

    public static final java.lang.String OPERATOR_IS_NULL

  Description copied from class: `FdkConstants`
  IS NULL operator for search expressions

  See Also:
    Constant Field Values
  Constant Field Value: IS_NULL

### OPERATOR_IS_NOT_NULL

    public static final java.lang.String OPERATOR_IS_NOT_NULL

  Description copied from class: `FdkConstants`
  IS NOT NULL operator for search expressions

  See Also:
    Constant Field Values
  Constant Field Value: IS_NOT_NULL

### OPERATOR_IN

    public static final java.lang.String OPERATOR_IN

  Description copied from class: `FdkConstants`
  IN operator for search expressions

  See Also:
    Constant Field Values
  Constant Field Value: IN

### OPERATOR_CONTAINS

    public static final java.lang.String OPERATOR_CONTAINS

  Description copied from class: `FdkConstants`
  CONTAINS operator for search expressions

  See Also:
    Constant Field Values
  Constant Field Value: CONTAINS

### OPERATOR_HAS_CATEGORY

    public static final java.lang.String OPERATOR_HAS_CATEGORY

  Description copied from class: `FdkConstants`
  HAS CATEGORY operator for search expressions

  See Also:
    Constant Field Values
  Constant Field Value: HAS_CATEGORY

### TEXT_SCORE

    public static final java.lang.String TEXT_SCORE

  Description copied from class: `FdkConstants`
  Text search score attribute for search sort specification

  See Also:
    Constant Field Values
  Constant Field Value: TEXT_SCORE

### DATE_COMP_YEAR

    public static final int DATE_COMP_YEAR

  Description copied from class: `FdkConstants`
  Date comparison level for comparing dates on the year.

  See Also:
    Constant Field Values
  Constant Field Value: 0

### DATE_COMP_MONTH

    public static final int DATE_COMP_MONTH

  Description copied from class: `FdkConstants`
  Date comparison level for comparing dates on the year and month.

  See Also:
    Constant Field Values
  Constant Field Value: 1

### DATE_COMP_DAY

    public static final int DATE_COMP_DAY

  Description copied from class: `FdkConstants`
  Date comparison level for comparing dates on the year, month and day.

  See Also:
    Constant Field Values
  Constant Field Value: 2

### DATE_COMP_HOUR

    public static final int DATE_COMP_HOUR

  Description copied from class: `FdkConstants`
  Date comparison level for comparing dates on the year, month, day and hour.

  See Also:
    Constant Field Values
  Constant Field Value: 3

### DATE_COMP_MIN

    public static final int DATE_COMP_MIN

  Description copied from class: `FdkConstants`
  Date comparison level for comparing dates on the year, month, day, hour and minute.

  See Also:
    Constant Field Values
  Constant Field Value: 4

### DATE_COMP_SEC

    public static final int DATE_COMP_SEC

  Description copied from class: `FdkConstants`
  Date comparison level for comparing dates on the year, month, day, hour, minute and second.

  See Also:
    Constant Field Values
  Constant Field Value: 5

### ADD_GRANTS_BACKGROUND_REQUEST_REQUEST_TYPE

    public static final java.lang.String ADD_GRANTS_BACKGROUND_REQUEST_REQUEST_TYPE

  Description copied from class: `FdkConstants`
  The name of the ADDGRANTSBACKGROUNDREQUEST REQUEST_TYPE.

  See Also:
    Constant Field Values
  Constant Field Value: ADDGRANTSBACKGROUNDREQUEST

### DELETE_CONTAINER_BACKGROUND_REQUEST_REQUEST_TYPE

    public static final java.lang.String DELETE_CONTAINER_BACKGROUND_REQUEST_REQUEST_TYPE

  Description copied from class: `FdkConstants`
  The name of the DELETECONTAINERBACKGROUNDREQUEST REQUEST_TYPE.

  See Also:
    Constant Field Values
  Constant Field Value: DELETECONTAINERBACKGROUNDREQUEST

### SET_CONFIGURATION_BACKGROUND_REQUEST_REQUEST_TYPE

    public static final java.lang.String SET_CONFIGURATION_BACKGROUND_REQUEST_REQUEST_TYPE

  Description copied from class: `FdkConstants`
  The name of the SETCONFIGURATIONBACKGROUNDREQUEST REQUEST_TYPE.

  See Also:
    Constant Field Values
  Constant Field Value: SETCONFIGURATIONBACKGROUNDREQUEST

### CREATE_WORKSPACE_REQUEST_TYPE

    public static final java.lang.String CREATE_WORKSPACE_REQUEST_TYPE

  Description copied from class: `FdkConstants`
  The name of the CreateWorkspaceRequest ClassObject.

  See Also:
    Constant Field Values
  Constant Field Value: CREATEWORKSPACEREQUEST

### JOIN_WORKSPACE_REQUEST_TYPE

    public static final java.lang.String JOIN_WORKSPACE_REQUEST_TYPE

  Description copied from class: `FdkConstants`
  The name of the JoinWorkspaceRequest ClassObject, which corresponds to the "join workspace" REQUEST_TYPE.

  See Also:
    Constant Field Values
  Constant Field Value: JOINWORKSPACEREQUEST

### INCREASE_QUOTA_REQUEST_TYPE

    public static final java.lang.String INCREASE_QUOTA_REQUEST_TYPE

  Description copied from class: `FdkConstants`
  The name of the IncreaseQuotaRequest ClassObject.

  See Also:
    Constant Field Values
  Constant Field Value: INCREASEQUOTAREQUEST

### CHECKIN_REQUEST_TYPE

    public static final java.lang.String CHECKIN_REQUEST_TYPE

  Description copied from class: `FdkConstants`
  The name of the CheckinRequest ClassObject.

  See Also:
    Constant Field Values
  Constant Field Value: CHECKINREQUEST

### CHECKOUT_REQUEST_TYPE

    public static final java.lang.String CHECKOUT_REQUEST_TYPE

  Description copied from class: `FdkConstants`
  The name of the CheckoutRequest ClassObject.

  See Also:
    Constant Field Values
  Constant Field Value: CHECKOUTREQUEST

### COPY_REQUEST_TYPE

    public static final java.lang.String COPY_REQUEST_TYPE

  Description copied from class: `FdkConstants`
  The name of the CopyRequest ClassObject.

  See Also:
    Constant Field Values
  Constant Field Value: COPYREQUEST

### CREATE_DOCUMENT_REQUEST_TYPE

    public static final java.lang.String CREATE_DOCUMENT_REQUEST_TYPE

  Description copied from class: `FdkConstants`
  The name of the CreateDocumentRequest ClassObject..

  See Also:
    Constant Field Values
  Constant Field Value: CREATEDOCUMENTREQUEST

### DELETE_REQUEST_TYPE

    public static final java.lang.String DELETE_REQUEST_TYPE

  Description copied from class: `FdkConstants`
  The name of the DeleteRequest ClassObject.

  See Also:
    Constant Field Values
  Constant Field Value: DELETEREQUEST

### MOVE_REQUEST_TYPE

    public static final java.lang.String MOVE_REQUEST_TYPE

  Description copied from class: `FdkConstants`
  The name of the MoveRequest ClassObject.

  See Also:
    Constant Field Values
  Constant Field Value: MOVEREQUEST

### READ_DOCUMENT_REQUEST_TYPE

    public static final java.lang.String READ_DOCUMENT_REQUEST_TYPE

  Description copied from class: `FdkConstants`
  The name of the ReadDocumentRequest ClassObject.

  See Also:
    Constant Field Values
  Constant Field Value: READDOCUMENTREQUEST

### USER_REQUEST_REQUEST_TYPE

    public static final java.lang.String USER_REQUEST_REQUEST_TYPE

  Description copied from class: `FdkConstants`
  The name of the UserRequest ClassObject.

  See Also:
    Constant Field Values
  Constant Field Value: USERREQUEST

### RECORD_LIFECYCLE_ERROR_REQUEST_TYPE

    public static final java.lang.String RECORD_LIFECYCLE_ERROR_REQUEST_TYPE

  Description copied from class: `FdkConstants`
  The name of the RecordLifecycleErrorRequest ClassObject.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: RECORDLIFECYCLEERRORREQUEST

### DISPOSITION_PHASE_REQUEST_TYPE

    public static final java.lang.String DISPOSITION_PHASE_REQUEST_TYPE

  Description copied from class: `FdkConstants`
  The name of the DispositionPhaseRequest ClassObject.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: DISPOSITIONPHASEREQUEST

### ATTRIBUTE_TYPE_DATE

    public static final int ATTRIBUTE_TYPE_DATE

  Description copied from class: `FdkConstants`
  DATE type for Custom Attributes

  See Also:
    Constant Field Values
  Constant Field Value: 1

### ATTRIBUTE_TYPE_STRING

    public static final int ATTRIBUTE_TYPE_STRING

  Description copied from class: `FdkConstants`
  STRING type for Custom Attributes

  See Also:
    Constant Field Values
  Constant Field Value: 2

### ATTRIBUTE_TYPE_FLOAT

    public static final int ATTRIBUTE_TYPE_FLOAT

  Description copied from class: `FdkConstants`
  FLOAT type for Custom Attributes

  See Also:
    Constant Field Values
  Constant Field Value: 3

### ATTRIBUTE_TYPE_INTEGER

    public static final int ATTRIBUTE_TYPE_INTEGER

  Description copied from class: `FdkConstants`
  INTEGER type for Custom Attributes

  See Also:
    Constant Field Values
  Constant Field Value: 4

### ATTRIBUTE_TYPE_BOOLEAN

    public static final int ATTRIBUTE_TYPE_BOOLEAN

  Description copied from class: `FdkConstants`
  BOOLEAN type for Custom Attributes

  See Also:
    Constant Field Values
  Constant Field Value: 5

### ATTRIBUTE_TYPE_USER

    public static final int ATTRIBUTE_TYPE_USER

  Description copied from class: `FdkConstants`
  USER type for Custom Attributes

  See Also:
    Constant Field Values
  Constant Field Value: 6

### ATTRIBUTE_TYPE_GROUP

    public static final int ATTRIBUTE_TYPE_GROUP

  Description copied from class: `FdkConstants`
  GROUP type for Custom Attributes

  See Also:
    Constant Field Values
  Constant Field Value: 7

### ATTRIBUTE_TYPE_LONG

    public static final int ATTRIBUTE_TYPE_LONG

  Description copied from class: `FdkConstants`
  LONG type for Custom Attributes

  See Also:
    Constant Field Values
  Constant Field Value: 8

### ATTRIBUTE_TYPE_BINARY

    public static final int ATTRIBUTE_TYPE_BINARY

  Description copied from class: `FdkConstants`
  BINARY type for Custom Attributes

  See Also:
    Constant Field Values
  Constant Field Value: 12

### ATTRIBUTE_TYPE_STRING_ARRAY

    public static final int ATTRIBUTE_TYPE_STRING_ARRAY

  Description copied from class: `FdkConstants`
  STRING_ARRAY type for Custom Attributes

  See Also:
    Constant Field Values
  Constant Field Value: 16

### CREATE_WORKSPACE_WORKFLOW_OPERATION

    public static final java.lang.String CREATE_WORKSPACE_WORKFLOW_OPERATION

  Description copied from class: `FdkConstants`
  The name of the CreateWorkspaceWorkflowConfiguration ClassObject.

  See Also:
    Constant Field Values
  Constant Field Value: CREATEWORKSPACEWORKFLOWCONFIGURATION

### JOIN_WORKSPACE_WORKFLOW_OPERATION

    public static final java.lang.String JOIN_WORKSPACE_WORKFLOW_OPERATION

  Description copied from class: `FdkConstants`
  The name of the JoinWorkspaceWorkflowConfiguration ClassObject.

  See Also:
    Constant Field Values
  Constant Field Value: JOINWORKSPACEWORKFLOWCONFIGURATION

### INCREASE_QUOTA_WORKFLOW_OPERATION

    public static final java.lang.String INCREASE_QUOTA_WORKFLOW_OPERATION

  Description copied from class: `FdkConstants`
  The name of the IncreaseQuotaWorkflowConfiguration ClassObject.

  See Also:
    Constant Field Values
  Constant Field Value: INCREASEQUOTAWORKFLOWCONFIGURATION

### CHECKIN_WORKFLOW_OPERATION

    public static final java.lang.String CHECKIN_WORKFLOW_OPERATION

  Description copied from class: `FdkConstants`
  The name of the CheckinWorkflowConfiguration ClassObject.

  See Also:
    Constant Field Values
  Constant Field Value: CHECKINWORKFLOWCONFIGURATION

### CHECKOUT_WORKFLOW_OPERATION

    public static final java.lang.String CHECKOUT_WORKFLOW_OPERATION

  Description copied from class: `FdkConstants`
  The name of the CheckoutWorkflowConfiguration ClassObject.

  See Also:
    Constant Field Values
  Constant Field Value: CHECKOUTWORKFLOWCONFIGURATION

### COPY_WORKFLOW_OPERATION

    public static final java.lang.String COPY_WORKFLOW_OPERATION

  Description copied from class: `FdkConstants`
  The name of the CopyWorkflowConfiguration ClassObject.

  See Also:
    Constant Field Values
  Constant Field Value: COPYWORKFLOWCONFIGURATION

### CREATE_DOCUMENT_WORKFLOW_OPERATION

    public static final java.lang.String CREATE_DOCUMENT_WORKFLOW_OPERATION

  Description copied from class: `FdkConstants`
  The name of the CreateDocumentWorkflowConfiguration ClassObject.

  See Also:
    Constant Field Values
  Constant Field Value: CREATEDOCUMENTWORKFLOWCONFIGURATION

### DELETE_WORKFLOW_OPERATION

    public static final java.lang.String DELETE_WORKFLOW_OPERATION

  Description copied from class: `FdkConstants`
  The name of the DeleteWorkflowConfiguration ClassObject.

  See Also:
    Constant Field Values
  Constant Field Value: DELETEWORKFLOWCONFIGURATION

### MOVE_WORKFLOW_OPERATION

    public static final java.lang.String MOVE_WORKFLOW_OPERATION

  Description copied from class: `FdkConstants`
  The name of the MoveWorkflowConfiguration ClassObject.

  See Also:
    Constant Field Values
  Constant Field Value: MOVEWORKFLOWCONFIGURATION

### READ_DOCUMENT_WORKFLOW_OPERATION

    public static final java.lang.String READ_DOCUMENT_WORKFLOW_OPERATION

  Description copied from class: `FdkConstants`
  The name of the ReadDocumentWorkflowConfiguration ClassObject.

  See Also:
    Constant Field Values
  Constant Field Value: READDOCUMENTWORKFLOWCONFIGURATION

### USER_REQUEST_WORKFLOW_OPERATION

    public static final java.lang.String USER_REQUEST_WORKFLOW_OPERATION

  Description copied from class: `FdkConstants`
  The name of the UserRequestWorkflowConfiguration ClassObject.

  See Also:
    Constant Field Values
  Constant Field Value: USERREQUESTWORKFLOWCONFIGURATION

### WORKFLOW_TYPE_ORACLE

    public static final java.lang.String WORKFLOW_TYPE_ORACLE

  Description copied from class: `FdkConstants`
  The name of the OracleWorkflow ClassObject, which corresponds to the "Oracle" WORKFLOW_TYPE.

  See Also:
    Constant Field Values
  Constant Field Value: ORACLEWORKFLOW

### WORKFLOW_TYPE_BPEL

    public static final java.lang.String WORKFLOW_TYPE_BPEL

  Description copied from class: `FdkConstants`
  The name of the BpelWorkflow ClassObject, which corresponds to the "BPEL" WORKFLOW_TYPE.

  See Also:
    Constant Field Values
  Constant Field Value: BPELWORKFLOW

### ORACLE_WORKFLOW_NAME_PARALLEL

    public static final java.lang.String ORACLE_WORKFLOW_NAME_PARALLEL

  Description copied from class: `FdkConstants`
  The name of the OOB "Parallel Vote" OracleWorkflow.

  See Also:
    Constant Field Values
  Constant Field Value: Parallel Vote

### ORACLE_WORKFLOW_NAME_SERIAL

    public static final java.lang.String ORACLE_WORKFLOW_NAME_SERIAL

  Description copied from class: `FdkConstants`
  The name of the OOB "Serial Approval" OracleWorkflow.

  See Also:
    Constant Field Values
  Constant Field Value: Serial Approval

### WORKFLOW_JUSTIFICATION_PARAMETER_NAME

    public static final java.lang.String WORKFLOW_JUSTIFICATION_PARAMETER_NAME

  Description copied from class: `FdkConstants`
  The name of the OOB WorkflowConfiguration "justification" parameter.

  See Also:
    Constant Field Values
  Constant Field Value: IFS_ECM_WORKFLOW_JUSTIFICATION

### WORKFLOW_PARAMETER_TYPE_STRING

    public static final java.lang.String WORKFLOW_PARAMETER_TYPE_STRING

  Description copied from class: `FdkConstants`
  Workflow Pararmeter type 'STRING'

  See Also:
    Constant Field Values
  Constant Field Value: WP_TYPE_STRING

### WORKFLOW_PARAMETER_TYPE_BOOLEAN

    public static final java.lang.String WORKFLOW_PARAMETER_TYPE_BOOLEAN

  Description copied from class: `FdkConstants`
  Workflow Pararmeter type 'BOOLEAN'

  See Also:
    Constant Field Values
  Constant Field Value: WP_TYPE_BOOLEAN

### WORKFLOW_PARAMETER_TYPE_BOUNDED_NUMBER

    public static final java.lang.String WORKFLOW_PARAMETER_TYPE_BOUNDED_NUMBER

  Description copied from class: `FdkConstants`
  Workflow Pararmeter type Number (Bounded by a range).

  See Also:
    Constant Field Values
  Constant Field Value: WP_TYPE_BOUNDED_NUMBER

### WORKFLOW_PARAMETER_TYPE_BOUNDED_DECIMALNUMBER

    public static final java.lang.String WORKFLOW_PARAMETER_TYPE_BOUNDED_DECIMALNUMBER

  Description copied from class: `FdkConstants`
  Workflow Pararmeter type Decimal Number (Bounded by a range).

  See Also:
    Constant Field Values
  Constant Field Value: WP_TYPE_BOUNDED_DECIMALNUMBER

### WORKFLOW_PARAMETER_TYPE_DATE

    public static final java.lang.String WORKFLOW_PARAMETER_TYPE_DATE

  Description copied from class: `FdkConstants`
  Workflow Pararmeter type 'DATE'

  See Also:
    Constant Field Values
  Constant Field Value: WP_TYPE_DATE

### WORKFLOW_PARAMETER_TYPE_PATH

    public static final java.lang.String WORKFLOW_PARAMETER_TYPE_PATH

  Description copied from class: `FdkConstants`
  Workflow Pararmeter type 'PATH'

  See Also:
    Constant Field Values
  Constant Field Value: WP_TYPE_PATH

### WORKFLOW_PARAMETER_TYPE_ENUM_STRING

    public static final java.lang.String WORKFLOW_PARAMETER_TYPE_ENUM_STRING

  Description copied from class: `FdkConstants`
  Workflow Pararmeter type String (from a list of enumerated Strings).

  See Also:
    Constant Field Values
  Constant Field Value: WP_TYPE_ENUM_STRING

### WORKFLOW_PARAMETER_TYPE_TIMEPERIOD

    public static final java.lang.String WORKFLOW_PARAMETER_TYPE_TIMEPERIOD

  Description copied from class: `FdkConstants`
  Workflow Pararmeter type 'TIMEPERIOD'

  See Also:
    Constant Field Values
  Constant Field Value: WP_TYPE_TIMEPERIOD

### WORKFLOW_PARAMETER_TYPE_USER

    public static final java.lang.String WORKFLOW_PARAMETER_TYPE_USER

  Description copied from class: `FdkConstants`
  Workflow Pararmeter type 'USER'

  See Also:
    Constant Field Values
  Constant Field Value: WP_TYPE_USER

### DISPOSITION_ACTION_RETAIN

    public static final int DISPOSITION_ACTION_RETAIN

  Description copied from class: `FdkConstants`
  String value for the disposition action for RETAIN This is used when the action attribute of a record category is retrieved

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 1

### DISPOSITION_ACTION_MOVE

    public static final int DISPOSITION_ACTION_MOVE

  Description copied from class: `FdkConstants`
  String value for the disposition action for MOVE This is used when the action attribute of a record category is retrieved

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 2

### DISPOSITION_ACTION_TRANSFER

    public static final int DISPOSITION_ACTION_TRANSFER

  Description copied from class: `FdkConstants`
  String value for the disposition action for TRANSFER This is used when the action attribute of a record category is retrieved

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 3

### DISPOSITION_ACTION_ACCESSION

    public static final int DISPOSITION_ACTION_ACCESSION

  Description copied from class: `FdkConstants`
  String value for the disposition action for ACCESSION This is used when the action attribute of a record category is retrieved

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 4

### DISPOSITION_ACTION_DELETE

    public static final int DISPOSITION_ACTION_DELETE

  Description copied from class: `FdkConstants`
  String value for the disposition action for DELETE This is used when the action attribute of a record category is retrieved

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 5

### DISPOSITION_ACTION_LAUNCH_WORKFLOW

    public static final int DISPOSITION_ACTION_LAUNCH_WORKFLOW

  Description copied from class: `FdkConstants`
  String value for the disposition action for WORKFLOW This is used when the action attribute of a record category is retrieved

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 7

### CUTOFF_FREQUENCY_NONE

    public static final int CUTOFF_FREQUENCY_NONE

  Description copied from class: `FdkConstants`
  The cut off frequency of NONE for a record category. This represents a single one time non repeating cut off.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 0

### CUTOFF_FREQUENCY_DAILY

    public static final int CUTOFF_FREQUENCY_DAILY

  Description copied from class: `FdkConstants`
  The cut off frequency which represents a daily cut off for a a record category.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 1

### CUTOFF_FREQUENCY_WEEKLY

    public static final int CUTOFF_FREQUENCY_WEEKLY

  Description copied from class: `FdkConstants`
  The cut off frequency which represents a weekly cut off for a a record category.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 2

### CUTOFF_FREQUENCY_MONTHLY

    public static final int CUTOFF_FREQUENCY_MONTHLY

  Description copied from class: `FdkConstants`
  The cut off frequency which represents a monthly cut off for a a record category.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 3

### CUTOFF_FREQUENCY_YEARLY

    public static final int CUTOFF_FREQUENCY_YEARLY

  Description copied from class: `FdkConstants`
  The cut off frequency which represents a yearly cut off for a a record category.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 4

### STORAGE_DEVICE_DATABASE

    public static final int STORAGE_DEVICE_DATABASE

  Description copied from class: `FdkConstants`
  Storage device value which represents using the database storage for a RETENTION phase. This is the default for a retention phase. This is used when the STORAGE_DEVICE attribute of a disposition phase is retrieved.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 1

### STORAGE_DEVICE_NEARLINE

    public static final int STORAGE_DEVICE_NEARLINE

  Description copied from class: `FdkConstants`
  Storage device value which represents using Bfiles as a storage mechanism for a RETENTION phase. Bfiles need to be enabled on the system This is used when the STORAGE_DEVICE attribute of a disposition phase is retrieved.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 2

### STORAGE_DEVICE_RETENTION

    public static final int STORAGE_DEVICE_RETENTION

  Description copied from class: `FdkConstants`
  Storage device value which represents using a HSM device as a storage mechanism for a RETENTION phase. The system must be HSM enabled. This is used when the STORAGE_DEVICE attribute of a disposition phase is retrieved.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 3

### RECORD_STATUS_UNDEFINED

    public static final int RECORD_STATUS_UNDEFINED

  Description copied from class: `FdkConstants`
  Value of record status when not defined, this is an error condition.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 0

### RECORD_STATUS_PENDING_CUTOFF

    public static final int RECORD_STATUS_PENDING_CUTOFF

  Description copied from class: `FdkConstants`
  Value of record status when awaiting cutoff.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 1

### RECORD_STATUS_IN_DISPOSITION_PROCESSING

    public static final int RECORD_STATUS_IN_DISPOSITION_PROCESSING

  Description copied from class: `FdkConstants`
  Value of record status when going through its dissposition processing.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 2

### RECORD_STATUS_DISPOSITION_PROCESSING_COMPLETE

    public static final int RECORD_STATUS_DISPOSITION_PROCESSING_COMPLETE

  Description copied from class: `FdkConstants`
  Value of record status when disposition processing complete and not destroyed.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 3

### RECORD_PHASE_STATUS_PENDING_DATE

    public static final int RECORD_PHASE_STATUS_PENDING_DATE

  Description copied from class: `FdkConstants`
  Current phase is waiting fro a date to arrive.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 2

### RECORD_PHASE_STATUS_IN_ERROR

    public static final int RECORD_PHASE_STATUS_IN_ERROR

  Description copied from class: `FdkConstants`
  Current phase is in error, and waiting for indication that the error was corrected.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 5

### RECORD_PHASE_STATUS_READY_FOR_PROCESSING

    public static final int RECORD_PHASE_STATUS_READY_FOR_PROCESSING

  Description copied from class: `FdkConstants`
  Current phase is ready for processing, processing will resume on the next life cycle agent run.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 6

### RECORD_PHASE_STATUS_READY_FOR_NEXT_PHASE

    public static final int RECORD_PHASE_STATUS_READY_FOR_NEXT_PHASE

  Description copied from class: `FdkConstants`
  Current phase processing has completed, processing will continue on the next life cycle agent run.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 7

### RECORD_PHASE_STATUS_PENDING_RECORDCATEGORY_UNFREEZE

    public static final int RECORD_PHASE_STATUS_PENDING_RECORDCATEGORY_UNFREEZE

  Description copied from class: `FdkConstants`
  Current phase is waiting for the associated record category to unfreeze.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 8

### RECORD_PHASE_STATUS_PENDING_RECORDFOLDER_UNFREEZE

    public static final int RECORD_PHASE_STATUS_PENDING_RECORDFOLDER_UNFREEZE

  Description copied from class: `FdkConstants`
  Current phase is waiting for the associated record folder to unfreeze.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 9

### RECORD_PHASE_STATUS_PENDING_RECORD_UNFREEZE

    public static final int RECORD_PHASE_STATUS_PENDING_RECORD_UNFREEZE

  Description copied from class: `FdkConstants`
  Current phase is waiting for the associated record to unfreeze.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 10

### RECORD_PHASE_STATUS_PENDING_WORKFLOW

    public static final int RECORD_PHASE_STATUS_PENDING_WORKFLOW

  Description copied from class: `FdkConstants`
  Current phase is waiting for workflow acknowledgement.

  See Also:
    Constant Field Values
  (Unpublished)
  Constant Field Value: 11

### AUDIT_HISTORY_GLOBAL

    public static final int AUDIT_HISTORY_GLOBAL

  Description copied from class: `FdkConstants`
  Constant for the `Options.AUDIT_HISTORY_TYPE` option specifying the global administrative Audit History.

  See Also:
    Constant Field Values
  Constant Field Value: 1

### AUDIT_HISTORY_ITEM

    public static final int AUDIT_HISTORY_ITEM

  Description copied from class: `FdkConstants`
  Constant for the `Options.AUDIT_HISTORY_TYPE` option specifying the individual Item Audit History.

  See Also:
    Constant Field Values
  Constant Field Value: 2

### AUDIT_HISTORY_CUSTOM

    public static final int AUDIT_HISTORY_CUSTOM

  Description copied from class: `FdkConstants`
  Constant for the `Options.AUDIT_HISTORY_TYPE` option specifying a custom Audit History.

  See Also:
    Constant Field Values
  Constant Field Value: 3

### EVENT_COLUMN_DOMAIN_ID

    public static final java.lang.String EVENT_COLUMN_DOMAIN_ID

  Description copied from class: `FdkConstants`
  Sortable Event DOMAIN_ID attribute (maps to a database column).

  See Also:
    Constant Field Values
  Constant Field Value: DOMAINID

### EVENT_COLUMN_ID

    public static final java.lang.String EVENT_COLUMN_ID

  Description copied from class: `FdkConstants`
  Sortable Event ID attribute (maps to a database column).

  See Also:
    Constant Field Values
  Constant Field Value: ID

### EVENT_COLUMN_CREATE_DATE

    public static final java.lang.String EVENT_COLUMN_CREATE_DATE

  Description copied from class: `FdkConstants`
  Sortable Event CREATE_DATE attribute (maps to a database column).

  See Also:
    Constant Field Values
  Constant Field Value: CREATEDATE

### EVENT_COLUMN_CREATOR_ID

    public static final java.lang.String EVENT_COLUMN_CREATOR_ID

  Description copied from class: `FdkConstants`
  Sortable Event CREATOR_ID attribute (maps to a database column).

  See Also:
    Constant Field Values
  Constant Field Value: CREATORID

### EVENT_COLUMN_OPERATION_TYPE

    public static final java.lang.String EVENT_COLUMN_OPERATION_TYPE

  Description copied from class: `FdkConstants`
  Sortable Event OPERATION_TYPE attribute (maps to a database column).

  See Also:
    Constant Field Values
  Constant Field Value: OPERATIONTYPE

### EVENT_COLUMN_TARGET_ID

    public static final java.lang.String EVENT_COLUMN_TARGET_ID

  Description copied from class: `FdkConstants`
  Sortable Event TARGET_ID attribute (maps to a database column).

  See Also:
    Constant Field Values
  Constant Field Value: TARGETOBJECTID

### EVENT_COLUMN_OPERATION_SUCCESSFUL

    public static final java.lang.String EVENT_COLUMN_OPERATION_SUCCESSFUL

  Description copied from class: `FdkConstants`
  Sortable Event OPERATION_SUCCESSFUL attribute (maps to a database column).

  See Also:
    Constant Field Values
  Constant Field Value: OPERATIONSUCCEEDED

### EVENT_COLUMN_AUXILIARY_NUMBER

    public static final java.lang.String EVENT_COLUMN_AUXILIARY_NUMBER

  Description copied from class: `FdkConstants`
  Sortable Event AUXILIARY_NUMBER attribute (maps to a database column).

  See Also:
    Constant Field Values
  Constant Field Value: AUXNUMBER

### EVENT_COLUMN_AUXILIARY_STRING

    public static final java.lang.String EVENT_COLUMN_AUXILIARY_STRING

  Description copied from class: `FdkConstants`
  Sortable Event AUXILIARY_STRING attribute (maps to a database column).

  See Also:
    Constant Field Values
  Constant Field Value: AUXSTRING

### EVENT_COLUMN_APPLICATION_USER

    public static final java.lang.String EVENT_COLUMN_APPLICATION_USER

  Description copied from class: `FdkConstants`
  Sortable Event APPLICATION_USER attribute (maps to a database column).

  See Also:
    Constant Field Values
  Constant Field Value: APPUSER

### EVENT_COLUMN_APPLICATION_CONTEXT

    public static final java.lang.String EVENT_COLUMN_APPLICATION_CONTEXT

  Description copied from class: `FdkConstants`
  Sortable Event APPLICATION_CONTEXT attribute (maps to a database column).

  See Also:
    Constant Field Values
  Constant Field Value: APPCONTEXT

### AUDIT_TYPE_ENTRY_SUCCESS_MODE_NONE

    public static final int AUDIT_TYPE_ENTRY_SUCCESS_MODE_NONE

  Description copied from class: `FdkConstants`
  Indicates that neither succees nor failure will be audited.

  See Also:
    Constant Field Values
  Constant Field Value: 1

### AUDIT_TYPE_ENTRY_SUCCESS_MODE_SUCCESS_ONLY

    public static final int AUDIT_TYPE_ENTRY_SUCCESS_MODE_SUCCESS_ONLY

  Description copied from class: `FdkConstants`
  Indicates that only success will be audited.

  See Also:
    Constant Field Values
  Constant Field Value: 2

### AUDIT_TYPE_ENTRY_SUCCESS_MODE_FAILURE_ONLY

    public static final int AUDIT_TYPE_ENTRY_SUCCESS_MODE_FAILURE_ONLY

  Description copied from class: `FdkConstants`
  Indicates that only failure will be audited.

  See Also:
    Constant Field Values
  Constant Field Value: 3

### AUDIT_TYPE_ENTRY_SUCCESS_MODE_SUCCESS_OR_FAILURE

    public static final int AUDIT_TYPE_ENTRY_SUCCESS_MODE_SUCCESS_OR_FAILURE

  Description copied from class: `FdkConstants`
  Indicates that the both success and failure will be audited.

  See Also:
    Constant Field Values
  Constant Field Value: 4

### MEDIA_TYPE_BLOB

    public static final java.lang.String MEDIA_TYPE_BLOB

  Description copied from class: `FdkConstants`
  Value returned by the MEDIA_TYPE attributes representing a BLOB storage media.

  See Also:
    Constant Field Values
  Constant Field Value: BLOB

### MEDIA_TYPE_BFILE

    public static final java.lang.String MEDIA_TYPE_BFILE

  Description copied from class: `FdkConstants`
  Value returned by the MEDIA_TYPE attributes representing a BFILE storage media.

  See Also:
    Constant Field Values
  Constant Field Value: BFILE

### MEDIA_TYPE_CENTERA

    public static final java.lang.String MEDIA_TYPE_CENTERA

  Description copied from class: `FdkConstants`
  Value returned by the MEDIA_TYPE attributes representing a CENTERA storage media.

  See Also:
    Constant Field Values
  Constant Field Value: CENTERA

### MEDIA_TYPE_SNAPLOCK

    public static final java.lang.String MEDIA_TYPE_SNAPLOCK

  Description copied from class: `FdkConstants`
  Value returned by the MEDIA_TYPE attributes representing a SNAPLOCK storage media.

  See Also:
    Constant Field Values
  Constant Field Value: SNAPLOCK

### MEDIA_OPTION_RELATIVE_PATH

    public static final java.lang.String MEDIA_OPTION_RELATIVE_PATH

  Description copied from class: `FdkConstants`
  In creating a document with BFILE storage, or updating the content or `media` of an existing document to have BFILE storage, the name of the `media option` whose value is the relative path from the base path of the BFILE media to the directory on the database-tier file system in which the content will be stored.

  If unspecified, content will be stored in the media's BFILE base path directory.

  See Also:
    Constant Field Values
  Constant Field Value: IFS.MEDIABFILE.MEDIAOPTION.RelativePath

### MEDIA_OPTION_FILENAME

    public static final java.lang.String MEDIA_OPTION_FILENAME

  Description copied from class: `FdkConstants`
  In creating a document with BFILE storage, or updating the content or `media` of an existing document to have BFILE storage, the name of the `media option` whose value is the filename in which content will be stored on the database-tier file system.

  If unspecified, the filename will be "`ifsbfile_cid`", where `cid` is the unique content id.

  See Also:
    Constant Field Values
  Constant Field Value: IFS.MEDIABFILE.MEDIAOPTION.FileName

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD